function [month, day] = DOY_2_mon_day(DOY, year)
%   [month, day] = DOY_2_mon_day(DOY)
%
%   This routine converts a day of year (DOY) type date (1-366) to a month, day
%
julian = DOY;
if julian == 0
   julian = 1;
end
leap = leapyear(year);
if julian > 366 
    error('DOY out of range');
end
if julian > (334 + leap)
	day = julian - (334 + leap);
	month = 12;
elseif julian > (304 + leap)
	day = julian - (304 + leap);
	month = 11;
elseif julian > (273 + leap)
    day = julian - (273 + leap);
    month = 10;
elseif julian > (243 + leap)
    day = julian - (243 + leap);
	month = 9;
elseif julian > (212 + leap)
    day = julian - (212 + leap);
    month = 8;
elseif julian > (181 + leap)
    day = julian - (181 + leap);
    month = 7;
elseif julian > (151 + leap)
    day = julian - (151 + leap);
    month = 6;
elseif julian > (120 + leap)
    day = julian - (120 + leap);
	month = 5;
elseif julian > (90 + leap)
    day = julian - (90 + leap);
    month = 4;
elseif julian > (59 + leap)
    day = julian - (59 + leap);
	month = 3;
elseif julian > 31
    day = julian - 31;
    month = 2;
elseif julian > 0
    day = julian;
	month = 1;
end


