function cal_plots(which)
%
%   function cal_plots(which)
%
%   Plots the cal of one, specified mill.

%
%   M.G. Bateman, 13 Sep 1998.
%

global CurrentFile;
global MillCnt;
global StartTime;
global EndTime;
global PCtime;
global IRIGtime;
global Mill;
global MillIdx;
global MillSpeed;
global MillSpeedIdx;
global CP;
global CPIdx;
global header;
global thresh;

figure(1)
subplot(411)
plot(Mill(1, 1:MillIdx));
ylabel('QU');
A = axis;
axis([1 MillIdx A(3:4)])
title(header)

subplot(412)
plot(Mill(2, 1:MillIdx));
ylabel('QL');
A = axis;
axis([1 MillIdx A(3:4)])

subplot(413)
plot(Mill(3, 1:MillIdx));
ylabel('RF');
A = axis;
axis([1 MillIdx A(3:4)])

subplot(414)
plot(Mill(4, 1:MillIdx));
ylabel('LF');
A = axis;
axis([1 MillIdx A(3:4)])
xlabel(sprintf('File: %s', CurrentFile))
%orient tall;
time_ticks(50,4)
% print -dps fig1.ps

%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure(2)
subplot(411)
plot(Mill(5, 1:MillIdx));
ylabel('RU');
A = axis;
axis([1 MillIdx A(3:4)])
title(header)

subplot(412)
plot(Mill(6, 1:MillIdx));
ylabel('RA');
A = axis;
axis([1 MillIdx A(3:4)])

subplot(413)
plot(Mill(7, 1:MillIdx));
ylabel('LU');
A = axis;
axis([1 MillIdx A(3:4)])

subplot(414)
plot(Mill(8, 1:MillIdx));
ylabel('LA');
xlabel(sprintf('File: %s', CurrentFile))
A = axis;
axis([1 MillIdx A(3:4)])
%orient tall;
time_ticks(50,4)
% print -dps fig2.ps


%%%%%%%%%%%%%%%%%%%%%%%%%%

figure(3)
subplot(211)
plot(Mill(which, 1:MillIdx));
A = axis;
axis([1 MillIdx A(3:4)])
title(header)
if which == 1
   ylabel('QU (V)');
elseif which == 2
   ylabel('QL (V)');
elseif which == 3
   ylabel('RF (V)');
elseif which == 4
   ylabel('LF (V)');
elseif which == 5
   ylabel('RU (V)');
elseif which == 6
   ylabel('RA (V)');
elseif which == 7
   ylabel('LU (V)');
elseif which == 8
   ylabel('LA (V)');
end


subplot(212)
dwin=50;
idx = 1;
current = 1;
D = NaN*ones(size(Mill(which, 1:MillIdx)));
for i=1:dwin:MillIdx
   endpt = min([i+dwin-1 MillIdx]);

   if i ~= MillIdx
      delta = max(Mill(which, i:endpt)) - min(Mill(which, i:endpt));
      D(i:endpt) = delta*ones(endpt-i+1,1);
      if delta > thresh
	 if i - 5.1*dwin > current    % don't want multiple triggers; space = 5.1*dwin
            x(idx) = i;
	    idx = idx + 1;
	    current = i;
	 else
	    current = i;
         end
      end
   elseif i == MillIdx & i - 5.1*dwin > current
      x(idx) = i;
      idx = idx + 1;
      current = i;
   end
end

x

plot(D(1:MillIdx));
A = axis;
%axis([1 MillIdx A(3:4)])
axis([1 MillIdx 0 0.003])
hold on
plot([1 MillIdx], [thresh thresh], 'w')
xlabel(sprintf('File: %s', CurrentFile))
ylabel('trigger function');

subplot(211)
hold on
for i = 1:length(x)
   % plot([x(i) x(i)], [1 -1], 'w')
   first = x(i) - 100;   % two seconds before the trigger
   last  = x(i) -  50;   % one second before the trigger
   val = mean(Mill(which, first:last))
   plot([first last], [val val], 'r')
   H = text(first-2500, val + 0.001, sprintf('%7.4f', val));
   set(H, 'FontSize', 8);
end

time_ticks(50,2)
%orient tall;
%print -deps cal-xx.eps

