function mjd = date2mjd(varargin)
%DATE2MJD Modified Julian day number.
%
%   MJD = DATE2MJD(YEAR, MONTH, DAY, HOUR, MINUTE, SECOND) returns the
%   modified Julian day number of the given date plus a fractional part
%   depending on the day and time of day.
%
%   Any missing MONTH or DAY will be replaced by ones.  Any missing HOUR,
%   MINUTE or SECOND will be replaced by zeros.
%
%   If no date is specified, the current date and time is used.  Gregorian
%   calendar is assumed.

%   Author:      Peter J. Acklam
%   Time-stamp:  2001-05-21 12:35:01 +0200
%   E-mail:      jacklam@math.uio.no
%   URL:         http://www.math.uio.no/~jacklam

   mjd = date2jd(varargin{:}) - 2400000.5;
