%
%               dc8F98v21.m
%
%     Works with camx3v21.c
%
%                08/20/98
%
%      plots up ER-2 data acquired during CAMEX 2
%
%       Does both the nav and the data plots
%
%       er2plotp outputs automatically to printer
%       er2plotk allows user intervention through the keyboard command
%
%
%       need to first do a directory redirection before running this program
%
%              dir /O:N *.dc8 > d240_dc8.dir
%
clear;
pack;
%
%       CHANGE THE FOLLOWING
%
mill=[1,4,7,2,5,6]; % mill numbers in slots (1=TOP-FWD, 2=TOP-MID, 3=RIGHT, 4=LEFT, 5=BOT-FWD, 6=TAIL)
st_day=228;
%st_day=219;
%direc='d:\camex3\data\98_04_21\';
%direc='c:\camex3\data\98_04_03\';
direc='c:\nasa\camex4\data\230\';
%direc='d:\98_04_07\';
%direc='d:\data\98_04_03\';
%direc='d:\toga\data\';
%direc='c:\sds_playback\';

%fid_dc8_dir=fopen(['c:\sds_playback\dir_list\d215_dc8.dir'],'r');
%fid_dc8_dir=fopen(['d:\98_04_07\d232_dc8.dir'],'r');
%fid_dc8_dir=fopen(['d:\camex3\data\98_04_21\d265_dc8.dir'],'r');
%fid_dc8_dir=fopen(['c:\camex4\data\228v3\d228v3_dc8.dir'],'r');

Nfiles=11; % 12
file_st=7; % 5 for manuevers
file_end=8; %20
st_hr=19; % 17

do_print='N';

NT='N'; % Was the directory listing done on an NT machine?



%       END OF USER-CHANGEABLE PARAMETERS
%
%
%       read in the directory file and decode
%
%if NT ~= 'Y',
% %for iw=1:15,
% for iw=1:14,
%  word1=fscanf(fid_dc8_dir,'%s',1)
% end
% for file=1:Nfiles,
%  filename(file,1:12)=[fscanf(fid_dc8_dir,'%s',1),'.',fscanf(fid_dc8_dir,'%s',1)];
%  %[fscanf(fid_dc8_dir,'%s',1),'.',fscanf(fid_dc8_dir,'%s',1)]
%  %for iw=1:3,  % Use this one with win95 dir listing
%  for iw=1:4, % Use this one with DOS dir listing
%   word1=fscanf(fid_dc8_dir,'%s',1);
%  end;
% end;
%end;
%if NT == 'Y',
% for iw=1:15,
%  word1=fscanf(fid_dc8_dir,'%s',1)
% end
% for file=1:Nfiles,
%  for iw=1:3,
%   word1=fscanf(fid_dc8_dir,'%s',1);
%  end;
%  filename(file,1:12)=fscanf(fid_dc8_dir,'%s',1);
% end;
%end;
%
%   Use new dir command to get names
%
direc
h = dir(direc)
g = size(h)
Nfiles = g(1)-2
for i=1:1
   filename(i,:) = h(i+2).name;
end
filename = '12301827.dc8'
Nfiles = 1;
%filename = sortrows(filename)
%keyboard;

index=0;
istart=1;

%for file=1:Nfiles
   
   %fid_E=fopen([direc,filename(file,:)],'r');
   fid_E=fopen('data\230\12301827.dc8','r');
   %[num2str(file),' ',filename(file,:)]
   %keyboard
   %
   % Nav = 170 bytes
   % Time = 10 bytes
   % FM = 1284 bytes
   % HV =  600 bytes
   %
   % Total = 2064 bytes/sec
   %
   %
   %       find the end of the file
   %
   fseek(fid_E,0,'eof');
   fend=ftell(fid_E)
   %
   %       rewind the file
   %
   fseek(fid_E,0,-1);
   
   
   
   %fend=2082*180;
   %Nsec=fix(fend/2082.0)+1;
   Nsec=fix(fend/2082.0);
   %Nsec=2*60;
   Nsec
%   if file==1
      istart=1;
%   end
   
   data=fread(fid_E,fend);
   l=[1:2082:(Nsec-1)*2082];
   
   nav=data(1:170);
   %
   nav_day(istart:istart+Nsec-2)=data(l)+data(l+1)*256;
   nav_hr_min(istart:istart+Nsec-2)=data(l+2)+data(l+3)*256;
   nav_hr=fix(nav_hr_min/100);
   nav_min=mod(nav_hr_min,100);
   nav_sec(istart:istart+Nsec-2)=(data(l+4)+data(l+5)*2^8+data(l+6)*2^16+data(l+7)*2^24)/1000.0;
   nav_time=nav_hr+nav_min/60.0+nav_sec/3600.0;
   %
   lat_deg(istart:istart+Nsec-2)=data(l+8)+data(l+9)*256;
   lneg=find(lat_deg >= 32768);
   lat_deg(lneg)=lat_deg(lneg)-65536;
   lat_min(istart:istart+Nsec-2)=(data(l+14)+data(l+15)*256)/10.0;
   lat_min(istart:istart+Nsec-2)=(data(l+10)+data(l+11)*256)/10.0;
   lat=lat_deg+lat_min/60.0;
   % if it is negative then need to subtract instead
   lneg=find(lat_deg < 0);
   lat(lneg)=lat_deg(lneg)-lat_min(lneg)/60.0;
   %
   lon_deg(istart:istart+Nsec-2)=data(l+12)+data(l+13)*256;
   lneg=find(lon_deg >= 32768);
   lon_deg(lneg)=lon_deg(lneg)-65536;
   lon_min(istart:istart+Nsec-2)=(data(l+14)+data(l+15)*256)/10.0;
   lon=lon_deg+lon_min/60.0;
   % if it is negative then need to subtract instead
   lneg=find(lon_deg < 0);
   lon(lneg)=lon_deg(lneg)-lon_min(lneg)/60.0;
   %
   pitch(istart:istart+Nsec-2)=data(l+16)+data(l+17)*256;
   lneg=find(pitch >= 2^15);
   pitch(lneg)=pitch(lneg)-2^16;
   pitch=pitch/10.0;
   %
   roll(istart:istart+Nsec-2)=(data(l+18)+data(l+19)*2^8+data(l+20)*2^16+data(l+21)*2^24);
   lneg=find(roll >= 2^31);
   roll(lneg)=(roll(lneg)-2^32);
   roll=roll/10.0;
   %
   wind_spd(istart:istart+Nsec-2)=data(l+22)+data(l+23)*256;
   wind_dir(istart:istart+Nsec-2)=data(l+24)+data(l+25)*256;
   true_air_spd(istart:istart+Nsec-2)=data(l+26)+data(l+27)*256;
   gnd_spd(istart:istart+Nsec-2)=data(l+28)+data(l+29)*256;
   true_head(istart:istart+Nsec-2)=(data(l+30)+data(l+31)*256)/10.0;
   drift_ang(istart:istart+Nsec-2)=(data(l+32)+data(l+33)*2^8+data(l+34)*2^16+data(l+35)*2^24)/10.0;
   press_alt(istart:istart+Nsec-2)=(data(l+36)+data(l+37)*2^8+data(l+38)*2^16+data(l+39)*2^24);
   radar_alt(istart:istart+Nsec-2)=(data(l+40)+data(l+41)*2^8+data(l+42)*2^16+data(l+43)*2^24);
   
   dew_frost_1011(istart:istart+Nsec-2)=data(l+44)+data(l+45)*2^8+data(l+46)*2^16+data(l+47)*2^24;
   lneg=find(dew_frost_1011 >= 2^31);
   dew_frost_1011(lneg)=(dew_frost_1011(lneg)-2^32);
   dew_frost_1011=dew_frost_1011/10.0;
   
   %dew_frost not correct
   dew_frost_300(istart:istart+Nsec-2)=data(l+48)+data(l+49)*2^8+data(l+50)*2^16+data(l+51)*2^24;
   lneg=find(dew_frost_300 >= 2^31);
   dew_frost_300(lneg)=(dew_frost_300(lneg)-2^32);
   dew_frost_300=dew_frost_300/10.0;
   
   T_stat(istart:istart+Nsec-2)=data(l+52)+data(l+53)*2^8;
   lneg=find(T_stat >= 2^15);
   T_stat(lneg)=T_stat(lneg)-2^16;
   T_stat=T_stat/10.0;
   
   T_total(istart:istart+Nsec-2)=data(l+54)+data(l+55)*2^8;
   lneg=find(T_total >= 2^15);
   T_total(lneg)=T_total(lneg)-2^16;
   T_total=T_total/10.0;
   
   T_IR_surf_T(istart:istart+Nsec-2)=data(l+56)+data(l+57)*2^8;
   lneg=find(T_IR_surf_T >= 2^15);
   T_IR_surf_T(lneg)=T_IR_surf_T(lneg)-2^16;
   T_IR_surf_T=T_IR_surf_T/10.0;
   
   T_stat_calc(istart:istart+Nsec-2)=data(l+58)+data(l+59)*2^8;
   lneg=find(T_stat_calc >= 2^15);
   T_stat_calc(lneg)=T_stat_calc(lneg)-2^16;
   T_stat_calc=T_stat_calc/10.0;
   
   Indicated_air_spd(istart:istart+Nsec-2)=data(l+60)+data(l+61)*2^8;
   
   %keyboard;
   
   irigb_day(istart:istart+Nsec-2)=data(l+170)+data(l+171)*256;
   irigb_hour(istart:istart+Nsec-2)=data(l+172);
   irigb_min(istart:istart+Nsec-2)=data(l+173);
   irigb_sec(istart:istart+Nsec-2)=data(l+174);
   
   dummy=data(176);
   irigb_subsec(istart:istart+Nsec-2)=data(l+176)+data(l+177)*2^8+data(l+178)*2^16+data(l+179)*2^24;
   %irigb_day,irigb_hour,irigb_min,irigb_sec,irigb_sub_sec
   
   % Use l(2) here because first record has status info instead of times
   version=data(l(2)+181)+data(l(2)+180)*2^8;
   dos_day=data(l(2)+182)+data(l(2)+183)*2^8;
   dos_year=data(l(2)+184)+data(l(2)+185)*2^8;
   dos_dayofweek=data(l(2)+186);
   dos_hour(istart:istart+Nsec-2)=data(l+187);
   dos_min(istart:istart+Nsec-2)=data(l+188);
   dos_sec(istart:istart+Nsec-2)=data(l+189);
   dos_hsec(istart:istart+Nsec-2)=data(l+190);
   %
   % These bancomm backed up time
   %
   back_sec(istart:istart+Nsec-2)=data(l+191);
   back_min(istart:istart+Nsec-2)=data(l+192);
   back_hour(istart:istart+Nsec-2)=data(l+193);
   back_day(istart:istart+Nsec-2)=data(l+194);
   back_month=data(l(2)+195);
   back_year=data(l(2)+196);
   back_day_week=data(l(2)+197);
   
   %
   % FM 1
   %
   sync1_fm1(istart:istart+Nsec-2)=data(l+198);
   sync2_fm1(istart:istart+Nsec-2)=data(l+199);
   %
   fm1_head=data(200:209);
   ;
   fm1_TOD(istart:istart+Nsec-2)=data(l+203);
   ;
   fm1_1(istart:istart+Nsec-2)=bitand(data(l+210)+data(l+211)*256,4095);
   fm1_2(istart:istart+Nsec-2)=bitand(data(l+260)+data(l+261)*256,4095);
   fm1_3(istart:istart+Nsec-2)=bitand(data(l+310)+data(l+311)*256,4095);
   fm1_4(istart:istart+Nsec-2)=bitand(data(l+360)+data(l+361)*256,4095);
   chksum1=data(l+410)+data(l+411)*256;
   %
   % FM 2
   %
   sync1_fm2(istart:istart+Nsec-2)=data(l+412);
   sync2_fm2(istart:istart+Nsec-2)=data(l+413);
   %
   fm2_head=data(414:423);
   ;
   fm2_TOD(istart:istart+Nsec-2)=data(l+417);
   ;
   fm2_1(istart:istart+Nsec-2)=bitand(data(l+424)+data(l+425)*256,4095);
   fm2_2(istart:istart+Nsec-2)=bitand(data(l+474)+data(l+475)*256,4095);
   fm2_3(istart:istart+Nsec-2)=bitand(data(l+524)+data(l+525)*256,4095);
   fm2_4(istart:istart+Nsec-2)=bitand(data(l+574)+data(l+575)*256,4095);
   chksum1=data(l+624)+data(l+625)*256;
   %
   % FM 3
   %
   sync1_fm3(istart:istart+Nsec-2)=data(l+626);
   sync2_fm3(istart:istart+Nsec-2)=data(l+627);
   %
   fm3_head=data(628:637);
   ;
   fm3_TOD(istart:istart+Nsec-2)=data(l+631);
   ;
   fm3_1(istart:istart+Nsec-2)=bitand(data(l+638)+data(l+639)*256,4095);
   fm3_2(istart:istart+Nsec-2)=bitand(data(l+688)+data(l+689)*256,4095);
   fm3_3(istart:istart+Nsec-2)=bitand(data(l+738)+data(l+739)*256,4095);
   fm3_4(istart:istart+Nsec-2)=bitand(data(l+788)+data(l+789)*256,4095);
   chksum1=data(l+838)+data(l+839)*256;
   %
   % FM 4
   %
   sync1_fm4(istart:istart+Nsec-2)=data(l+840);
   sync2_fm4(istart:istart+Nsec-2)=data(l+841);
   %
   fm4_head=data(842:851);
   ;
   fm4_TOD(istart:istart+Nsec-2)=data(l+845);
   ;
   fm4_1(istart:istart+Nsec-2)=bitand(data(l+852)+data(l+853)*256,4095);
   fm4_2(istart:istart+Nsec-2)=bitand(data(l+902)+data(l+903)*256,4095);
   fm4_3(istart:istart+Nsec-2)=bitand(data(l+952)+data(l+953)*256,4095);
   fm4_4(istart:istart+Nsec-2)=bitand(data(l+1002)+data(l+1003)*256,4095);
   chksum1=data(l+1052)+data(l+1053)*256;
   %
   % FM 5
   %
   sync1_fm5(istart:istart+Nsec-2)=data(l+1054);
   sync2_fm5(istart:istart+Nsec-2)=data(l+1055);
   %
   fm5_head=data(1056:1065);
   ;
   fm5_TOD(istart:istart+Nsec-2)=data(l+1059);
   ;
   fm5_1(istart:istart+Nsec-2)=bitand(data(l+1066)+data(l+1067)*256,4095);
   fm5_2(istart:istart+Nsec-2)=bitand(data(l+1116)+data(l+1117)*256,4095);
   fm5_3(istart:istart+Nsec-2)=bitand(data(l+1166)+data(l+1167)*256,4095);
   fm5_4(istart:istart+Nsec-2)=bitand(data(l+1216)+data(l+1217)*256,4095);
   chksum1=data(l+1266)+data(l+1267)*256;
   %
   % FM 6
   %
   sync1_fm6(istart:istart+Nsec-2)=data(l+1268);
   sync2_fm6(istart:istart+Nsec-2)=data(l+1269);
   %
   fm6_head=data(1270:1279);
   ;
   fm6_TOD(istart:istart+Nsec-2)=data(l+1273);
   ;
   fm6_1(istart:istart+Nsec-2)=bitand(data(l+1280)+data(l+1281)*256,4095);
   fm6_2(istart:istart+Nsec-2)=bitand(data(l+1330)+data(l+1331)*256,4095);
   fm6_3(istart:istart+Nsec-2)=bitand(data(l+1380)+data(l+1381)*256,4095);
   fm6_4(istart:istart+Nsec-2)=bitand(data(l+1430)+data(l+1431)*256,4095);
   chksum1=data(l+1480)+data(l+1481)*256;
   %
   % There are actually 400 bytes here
   %
   %HV=data(l+1482)+data(l+1483)*256;
   VPM_plus(istart:istart+Nsec-2)=data(l+1482)+data(l+1483)*256;
   VPM_neg(istart:istart+Nsec-2)=data(l+1532)+data(l+1533)*256;
   IPM_plus(istart:istart+Nsec-2)=data(l+1582)+data(l+1583)*256;
   IPM_neg(istart:istart+Nsec-2)=data(l+1632)+data(l+1633)*256;
   V5_6(istart:istart+Nsec-2)=data(l+1682)+data(l+1683)*256;
   V0_5(istart:istart+Nsec-2)=data(l+1732)+data(l+1733)*256;
   %
   % Note the last two channels are undefined (total = 100 bytes)
   % Thus the end would be at 1881 (1882-1482 = 400 bytes total)
   %keyboard;
   
   
   
   
   
   
   %pad_ex2=fread(fid_E,1,'uchar');        % byte 26
   
   
   %
   %       neither of these appear to work
   %               Is pad in wrong place???
   %
   %irigb_sub_sec(index)=fread(fid_E,1,'uchar')*2.0^24+fread(fid_E,1,'uchar')*2.0^16+fread(fid_E,1,'uchar')*2.0^8+fread(fid_E,1,'uchar');      % byte 20,21,22,23
   
   %keyboard;
   
   %status2=fread(fid_E,1,'int16');         % byte 24,25
   
   
   %pad_ex2=fread(fid_E,1,'uchar');        % byte 26
   
   
   %
   % just read in 1 point for each gain per second and throw the rest away
   %
   %fm((index-1)*6+1:(index-1)*6+6)=fread(fid_E,6,'int16')*20/4096;    % 20V / 4096 DU (12 bits and +- 10 Volt input range)
   %fread(fid_E,394,'int16');
   %
   % switch the order of the bytes and mask off to get 14 bits
   %
   %fm((index-1)*400+1:(index-1)*400+400)=rem(rem(fm((index-1)*400+1:(index-1)*400+400),256)*256+fix(fm((index-1)*400+1:(index-1)*400+400)/256),4096);
   
   %bits_in=fread(fid_E,1,'uchar');
   %pad1=fread(fid_E,1,'uchar');
   
   
   %[sync1_fm1,sync2_fm1,sync1_fm2,sync2_fm2,sync1_fm3,sync2_fm3,sync1_fm4,sync2_fm4,sync1_fm5,sync2_fm5,sync1_fm6,sync2_fm6]
   
   %irigb_day
   %keyboard;
   
   istart=istart+Nsec-1;
   
   %end    % of file


%
% Take care of 2's complement
%
% FM 1
%
l=find(fm1_1 >= 2048);
fm1_1(l)=fm1_1(l)-4096;
fm1_1=fm1_1*20/4096;    % 20V / 4096 DU (12 bits and +- 10 Volt input range)
%
l=find(fm1_2 >= 2048);
fm1_2(l)=fm1_2(l)-4096;
fm1_2=fm1_2*20/4096;    % 20V / 4096 DU (12 bits and +- 10 Volt input range)
%
l=find(fm1_3 >= 2048);
fm1_3(l)=fm1_3(l)-4096;
fm1_3=fm1_3*20/4096;    % 20V / 4096 DU (12 bits and +- 10 Volt input range)
%
l=find(fm1_4 >= 2048);
fm1_4(l)=fm1_4(l)-4096;
fm1_4=fm1_4*20/4096;    % 20V / 4096 DU (12 bits and +- 10 Volt input range)
%
% FM 2
%
l=find(fm2_1 >= 2048);
fm2_1(l)=fm2_1(l)-4096;
fm2_1=fm2_1*20/4096;    % 20V / 4096 DU (12 bits and +- 10 Volt input range)
%
l=find(fm2_2 >= 2048);
fm2_2(l)=fm2_2(l)-4096;
fm2_2=fm2_2*20/4096;    % 20V / 4096 DU (12 bits and +- 10 Volt input range)
%
l=find(fm2_3 >= 2048);
fm2_3(l)=fm2_3(l)-4096;
fm2_3=fm2_3*20/4096;    % 20V / 4096 DU (12 bits and +- 10 Volt input range)
%
l=find(fm2_4 >= 2048);
fm2_4(l)=fm2_4(l)-4096;
fm2_4=fm2_4*20/4096;    % 20V / 4096 DU (12 bits and +- 10 Volt input range)
%
% FM 3
%
l=find(fm3_1 >= 2048);
fm3_1(l)=fm3_1(l)-4096;
fm3_1=fm3_1*20/4096;    % 20V / 4096 DU (12 bits and +- 10 Volt input range)
%
l=find(fm3_2 >= 2048);
fm3_2(l)=fm3_2(l)-4096;
fm3_2=fm3_2*20/4096;    % 20V / 4096 DU (12 bits and +- 10 Volt input range)
%
l=find(fm3_3 >= 2048);
fm3_3(l)=fm3_3(l)-4096;
fm3_3=fm3_3*20/4096;    % 20V / 4096 DU (12 bits and +- 10 Volt input range)
%
l=find(fm3_4 >= 2048);
fm3_4(l)=fm3_4(l)-4096;
fm3_4=fm3_4*20/4096;    % 20V / 4096 DU (12 bits and +- 10 Volt input range)
%
% FM 4
%
l=find(fm4_1 >= 2048);
fm4_1(l)=fm4_1(l)-4096;
fm4_1=fm4_1*20/4096;    % 20V / 4096 DU (12 bits and +- 10 Volt input range)
%
l=find(fm4_2 >= 2048);
fm4_2(l)=fm4_2(l)-4096;
fm4_2=fm4_2*20/4096;    % 20V / 4096 DU (12 bits and +- 10 Volt input range)
%
l=find(fm4_3 >= 2048);
fm4_3(l)=fm4_3(l)-4096;
fm4_3=fm4_3*20/4096;    % 20V / 4096 DU (12 bits and +- 10 Volt input range)
%
l=find(fm4_4 >= 2048);
fm4_4(l)=fm4_4(l)-4096;
fm4_4=fm4_4*20/4096;    % 20V / 4096 DU (12 bits and +- 10 Volt input range)
%
% FM 5
%
l=find(fm5_1 >= 2048);
fm5_1(l)=fm5_1(l)-4096;
fm5_1=fm5_1*20/4096;    % 20V / 4096 DU (12 bits and +- 10 Volt input range)
%
l=find(fm5_2 >= 2048);
fm5_2(l)=fm5_2(l)-4096;
fm5_2=fm5_2*20/4096;    % 20V / 4096 DU (12 bits and +- 10 Volt input range)
%
l=find(fm5_3 >= 2048);
fm5_3(l)=fm5_3(l)-4096;
fm5_3=fm5_3*20/4096;    % 20V / 4096 DU (12 bits and +- 10 Volt input range)
%
l=find(fm5_4 >= 2048);
fm5_4(l)=fm5_4(l)-4096;
fm5_4=fm5_4*20/4096;    % 20V / 4096 DU (12 bits and +- 10 Volt input range)
%
% FM 6
%
l=find(fm6_1 >= 2048);
fm6_1(l)=fm6_1(l)-4096;
fm6_1=fm6_1*20/4096;    % 20V / 4096 DU (12 bits and +- 10 Volt input range)
%
l=find(fm6_2 >= 2048);
fm6_2(l)=fm6_2(l)-4096;
fm6_2=fm6_2*20/4096;    % 20V / 4096 DU (12 bits and +- 10 Volt input range)
%
l=find(fm6_3 >= 2048);
fm6_3(l)=fm6_3(l)-4096;
fm6_3=fm6_3*20/4096;    % 20V / 4096 DU (12 bits and +- 10 Volt input range)
%
l=find(fm6_4 >= 2048);
fm6_4(l)=fm6_4(l)-4096;
fm6_4=fm6_4*20/4096;    % 20V / 4096 DU (12 bits and +- 10 Volt input range)

%  Check the subsecond here (Is it 1E6, 1E7 , or 2E7)
irigb_time=(irigb_day-st_day)*24+irigb_hour+irigb_min/60.0+irigb_sec/3600.0+irigb_subsec/1E6/3600.0;
dos_time=(dos_day-st_day)*24+dos_hour+dos_min/60.0+dos_sec/3600.0+dos_hsec/100.0/3600.0;
back_time=back_hour+back_min/60.0+back_sec/3600.0;



strng1='Day ';
strng2=filename(1,2:4);
leap=0;         % Is it a leap year?
if leap==0,
   if eval(strng2)<=365,strng3=['  12/',sprintf('%02g',eval(strng2)-334),'/98'],end;
   if eval(strng2)<=334,strng3=['  11/',sprintf('%02g',eval(strng2)-304),'/98'],end;
   if eval(strng2)<=304,strng3=['  10/',sprintf('%02g',eval(strng2)-273),'/98'],end;
   if eval(strng2)<=273,strng3=['  09/',sprintf('%02g',eval(strng2)-243),'/98'],end;
   if eval(strng2)<=243,strng3=['  08/',sprintf('%02g',eval(strng2)-212),'/98'],end;
   if eval(strng2)<=212,strng3=['  07/',sprintf('%02g',eval(strng2)-181),'/98'],end;
   if eval(strng2)<=181,strng3=['  06/',sprintf('%02g',eval(strng2)-151),'/98'],end;
   if eval(strng2)<=151,strng3=['  05/',sprintf('%02g',eval(strng2)-120),'/98'],end;
   if eval(strng2)<=120,strng3=['  04/',sprintf('%02g',eval(strng2)-90),'/98'],end;
   if eval(strng2)<=90,strng3=['  03/',sprintf('%02g',eval(strng2)-59),'/98'],end;
   if eval(strng2)<=59,strng3=['  02/',sprintf('%02g',eval(strng2)-31),'/98'],end;
   if eval(strng2)<=31,strng3=['  01/',sprintf('%02g',eval(strng2)),'/98'],end;
end
if leap==1,
   if eval(strng2)<=366,strng3=['  12/',sprintf('%02g',eval(strng2)-335),'/98'],end;
   if eval(strng2)<=335,strng3=['  11/',sprintf('%02g',eval(strng2)-305),'/98'],end;
   if eval(strng2)<=305,strng3=['  10/',sprintf('%02g',eval(strng2)-274),'/98'],end;
   if eval(strng2)<=274,strng3=['  09/',sprintf('%02g',eval(strng2)-244),'/98'],end;
   if eval(strng2)<=244,strng3=['  08/',sprintf('%02g',eval(strng2)-213),'/98'],end;
   if eval(strng2)<=213,strng3=['  07/',sprintf('%02g',eval(strng2)-182),'/98'],end;
   if eval(strng2)<=182,strng3=['  06/',sprintf('%02g',eval(strng2)-152),'/98'],end;
   if eval(strng2)<=152,strng3=['  05/',sprintf('%02g',eval(strng2)-121),'/98'],end;
   if eval(strng2)<=121,strng3=['  04/',sprintf('%02g',eval(strng2)-91),'/98'],end;
   if eval(strng2)<=91,strng3=['  03/',sprintf('%02g',eval(strng2)-60),'/98'],end;
   if eval(strng2)<=60,strng3=['  02/',sprintf('%02g',eval(strng2)-31),'/98'],end;
   if eval(strng2)<=31,strng3=['  01/',sprintf('%02g',eval(strng2)),'/98'],end;
end
% find start time
%
% time not always valid in first few points
%
if st_hr==0
   ist=find(irigb_hour==st_hr);
end
if st_hr~=0
   ist=find(irigb_hour~=0);
end
%ist(1)=1;
%ist=find(irigb_hour~=10);

st_day=irigb_day(ist(1));

strng4=num2str(irigb_hour(ist(1)))
strng5=num2str(irigb_min(ist(1)))
strng6=num2str(irigb_sec(ist(1)))
%strng6=num2str(',filename3,'(1,4));']);
% find end time
end_i=length(irigb_hour);
end_strng4=num2str(irigb_hour(end_i))
end_strng5=num2str(irigb_min(end_i))
end_strng6=num2str(irigb_sec(end_i))

if irigb_hour(ist(1))<30
   axis_strng4=num2str(irigb_hour(ist(1)));
   axis_strng5='00';
end
if irigb_hour(ist(1))>=30
   axis_strng4=num2str(irigb_hour(ist(1))+1);
   axis_strng5='00';
end

%
%       fix ones with numbers less than 10
%
if (eval([strng4])<10)
   strng4=['0',strng4];
end
if (eval([strng5])<10)
   strng5=['0',strng5];
end
if (eval([strng6])<10)
   strng6=['0',strng6];
end

if (eval([end_strng4])<10)
   end_strng4=['0',end_strng4];
end
if (eval([end_strng5])<10)
   end_strng5=['0',end_strng5];
end
if (eval([end_strng6])<10)
   end_strng6=['0',end_strng6];
end
if (eval([axis_strng4])<10)
   axis_strng4=['0',axis_strng4];
end


xLablon=['Time After ',axis_strng4,axis_strng5,' UTC (Hours)'];
xLab=['Time After ',axis_strng4,axis_strng5,' UTC (Hours)'];
%start_time=[strng1,strng2,strng3,'  St=',strng4,strng5,':',strng6,'  End=',end_strng4,end_strng5,':',end_strng6,'      ',filename(file_st,:)]
start_time=[strng1,strng2,strng3,'  St=',strng4,strng5,':',strng6,'  End=',end_strng4,end_strng5,':',end_strng6]

%
% Calculate the external fields
%
%
% Read V to E file - e.g. - the cal file from volts to V/m.
%
fid_V2E=fopen('camex3.V2E','r');
%
%       find the end of the file
%

fseek(fid_V2E,0,'eof');
fend_V2E=ftell(fid_V2E);
%
%       rewind the file
%
fseek(fid_V2E,0,-1);
for i=1:28
   id(i)=str2num(fscanf(fid_V2E,'%s',1));
   gain(i)=str2num(fscanf(fid_V2E,'%s',1));
   slope(i)=str2num(fscanf(fid_V2E,'%s',1));
   offset(i)=str2num(fscanf(fid_V2E,'%s',1));
end
slope=reshape(slope',4,7)';
offset=reshape(offset',4,7)';

%keyboard;

Ame(1,:)=[+4.9152,0.7354,2.4471]; % TOP-FWD
Ame(2,:)=[0.0,1.0,2.0];     % TOP-MID
Ame(3,:)=[+2.2238,0.0,-1.2049];  % BOT_FWD
Ame(4,:)=[-7.5771,-1.9600,0.2541]; % Right
Ame(5,:)=[-7.5771,+1.9600,0.2541]; % Left
Ame(6,:)=[-10,+0.5,-1.5];    % Tail
%
%       Add Q coefficients
%
Ame(1,4)=1.9502;
Ame(2,4)=1.9502;
Ame(3,4)=1.2740;
Ame(4,4)=1.9698;
Ame(5,4)=1.9600;
Ame(6,4)=1.9600;
Ainvme=pinv(Ame);
%
% Create best mills  (need the correct cals here!!!!!)
%
topfwd_best=(fm1_1-offset(mill(1),1))/slope(mill(1),1);
l=find(abs(fm1_1) > 5);
topfwd_best(l)=(fm1_2(l)-offset(mill(1),2))/slope(mill(1),2);
l=find(abs(fm1_2) > 5);
topfwd_best(l)=(fm1_3(l)-offset(mill(1),3))/slope(mill(1),3);
l=find(abs(fm1_3) > 5);
topfwd_best(l)=(fm1_4(l)-offset(mill(1),4))/slope(mill(1),4);
%
topmid_best=(fm2_1-offset(mill(2),1))/slope(mill(2),1);
l=find(abs(fm2_1) > 5);
topmid_best(l)=(fm2_2(l)-offset(mill(2),2))/slope(mill(2),2);
l=find(abs(fm2_2) > 5);
topmid_best(l)=(fm2_3(l)-offset(mill(2),3))/slope(mill(2),3);
l=find(abs(fm2_3) > 5);
topmid_best(l)=(fm2_4(l)-offset(mill(2),4))/slope(mill(2),4);
%
right_best=(fm3_1-offset(mill(3),1))/slope(mill(3),1);
l=find(abs(fm3_1) > 5);
right_best(l)=(fm3_2(l)-offset(mill(3),2))/slope(mill(3),2);
l=find(abs(fm3_2) > 5);
right_best(l)=(fm3_3(l)-offset(mill(3),3))/slope(mill(3),3);
l=find(abs(fm3_3) > 5);
right_best(l)=(fm3_4(l)-offset(mill(3),4))/slope(mill(3),4);
%
left_best=(fm4_1-offset(mill(4),1))/slope(mill(4),1);
l=find(abs(fm4_1) > 5);
left_best(l)=(fm4_2(l)-offset(mill(4),2))/slope(mill(4),2);
l=find(abs(fm4_2) > 5);
left_best(l)=(fm4_3(l)-offset(mill(4),3))/slope(mill(4),3);
l=find(abs(fm4_3) > 5);
left_best(l)=(fm4_4(l)-offset(mill(4),4))/slope(mill(4),4);
%
botfwd_best=(fm5_1-offset(mill(5),1))/slope(mill(5),1);
l=find(abs(fm5_1) > 5);
botfwd_best(l)=(fm5_2(l)-offset(mill(5),2))/slope(mill(5),2);
l=find(abs(fm5_2) > 5);
botfwd_best(l)=(fm5_3(l)-offset(mill(5),3))/slope(mill(5),3);
l=find(abs(fm5_3) > 5);
botfwd_best(l)=(fm5_4(l)-offset(mill(5),4))/slope(mill(5),4);
%
tail_best=(fm6_1-offset(mill(6),1))/slope(mill(6),1);
l=find(abs(fm6_1) > 5);
tail_best(l)=(fm6_2(l)-offset(mill(6),2))/slope(mill(6),2);
l=find(abs(fm6_2) > 5);
tail_best(l)=(fm6_3(l)-offset(mill(6),3))/slope(mill(6),3);
l=find(abs(fm6_3) > 5);
tail_best(l)=(fm6_4(l)-offset(mill(6),4))/slope(mill(6),4);
%
% Convert to kV/m
%
topfwd_best=topfwd_best/1000.0;
topmid_best=topmid_best/1000.0;
right_best=right_best/1000.0;
left_best=left_best/1000.0;
botfwd_best=botfwd_best/1000.0;
tail_best=tail_best/1000.0;

Ebail=Ainvme*[topfwd_best;topmid_best;botfwd_best;right_best;left_best;tail_best];

%
t=size(fm1_1);
%l_1sec=[1:25:t(2)]; % one second intervals to correspond with one second timing
l_1sec=[1:t(2)]; % one second intervals to correspond with one second timing
%
% Try to get rid of most bad times
%
l=find(irigb_time > 0 & irigb_time <30);
%
%figure(1)
%subplot(411),plot(irigb_time,fm1_1(l_1sec(l)))
%subplot(412),plot(irigb_time,fm1_2(l_1sec(l)))
%subplot(413),plot(irigb_time,fm1_3(l_1sec(l)))
%subplot(414),plot(irigb_time,fm1_4(l_1sec(l)))
%
figure(1)
orient tall
subplot(611),plot(irigb_time(l),fm1_1(l_1sec(l)))
title([start_time,'      Hi Gain']),ylabel('FM 1 - TOP-FWD (V)')
subplot(612),plot(irigb_time(l),fm2_1(l_1sec(l)))
ylabel('FM 2 - TOP-MID (V)')
subplot(613),plot(irigb_time(l),fm3_1(l_1sec(l)))
ylabel('FM 3 - RIGHT (V)')
subplot(614),plot(irigb_time(l),fm4_1(l_1sec(l)))
ylabel('FM 4 - LEFT (V)')
subplot(615),plot(irigb_time(l),fm5_1(l_1sec(l)))
ylabel('FM 5 - BOT-FWD (V)')
subplot(616),plot(irigb_time(l),fm6_1(l_1sec(l)))
ylabel('FM 6 - TAIL (V)'),xlabel('Time (HR)')
%xlabel(xLab)
if (do_print=='Y')
   print -dwin;
   %prtsc('ff');
end
%
figure(2)
orient tall
subplot(611),plot(irigb_time(l),fm1_2(l_1sec(l)))
title([start_time,'      Med-Hi Gain']),ylabel('FM 1 - TOP-FWD (V)')
subplot(612),plot(irigb_time(l),fm2_2(l_1sec(l)))
ylabel('FM 2 - TOP-MID (V)')
subplot(613),plot(irigb_time(l),fm3_2(l_1sec(l)))
ylabel('FM 3 - RIGHT (V)')
subplot(614),plot(irigb_time(l),fm4_2(l_1sec(l)))
ylabel('FM 4 - LEFT (V)')
subplot(615),plot(irigb_time(l),fm5_2(l_1sec(l)))
ylabel('FM 5 - BOT-FWD (V)')
subplot(616),plot(irigb_time(l),fm6_2(l_1sec(l)))
ylabel('FM 6 - TAIL (V)'),xlabel('Time (HR)')
if (do_print=='Y')
   print -dwin;
   %prtsc('ff');
end
%
figure(3)
orient tall
subplot(611),plot(irigb_time(l),fm1_3(l_1sec(l)))
title([start_time,'      Med-Lo Gain']),ylabel('FM 1 - TOP-FWD (V)')
subplot(612),plot(irigb_time(l),fm2_3(l_1sec(l)))
ylabel('FM 2 - TOP-MID (V)')
subplot(613),plot(irigb_time(l),fm3_3(l_1sec(l)))
ylabel('FM 3 - RIGHT (V)')
subplot(614),plot(irigb_time(l),fm4_3(l_1sec(l)))
ylabel('FM 4 - LEFT (V)')
subplot(615),plot(irigb_time(l),fm5_3(l_1sec(l)))
ylabel('FM 5 - BOT-FWD (V)')
subplot(616),plot(irigb_time(l),fm6_3(l_1sec(l)))
ylabel('FM 6 - TAIL (V)'),xlabel('Time (HR)')
if (do_print=='Y')
   print -dwin;
   %prtsc('ff');
end
%
figure(4)
orient tall
subplot(611),plot(irigb_time(l),fm1_4(l_1sec(l)))
title([start_time,'      Lo Gain']),ylabel('FM 1 - TOP-FWD (V)')
subplot(612),plot(irigb_time(l),fm2_4(l_1sec(l)))
ylabel('FM 2 - TOP-MID (V)')
subplot(613),plot(irigb_time(l),fm3_4(l_1sec(l)))
ylabel('FM 3 - RIGHT (V)')
subplot(614),plot(irigb_time(l),fm4_4(l_1sec(l)))
ylabel('FM 4 - LEFT (V)')
subplot(615),plot(irigb_time(l),fm5_4(l_1sec(l)))
ylabel('FM 5 - BOT-FWD (V)')
subplot(616),plot(irigb_time(l),fm6_4(l_1sec(l)))
ylabel('FM 6 - TAIL (V)'),xlabel('Time (HR)')
if (do_print=='Y')
   print -dwin;
   %prtsc('ff');
end
%
figure(5)
orient tall
subplot(611),plot(irigb_time(l),topfwd_best(l_1sec(l)))
title([start_time,'      Combined Gain']),ylabel('FM 1 - TOP-FWD (kV/m)')
subplot(612),plot(irigb_time(l),topmid_best(l_1sec(l)))
ylabel('FM 2 - TOP-MID (kV/m)')
subplot(613),plot(irigb_time(l),right_best(l_1sec(l)))
ylabel('FM 3 - RIGHT (kV/m)')
subplot(614),plot(irigb_time(l),left_best(l_1sec(l)))
ylabel('FM 4 - LEFT (kV/m)')
subplot(615),plot(irigb_time(l),botfwd_best(l_1sec(l)))
ylabel('FM 5 - BOT-FWD (kV/m)')
subplot(616),plot(irigb_time(l),tail_best(l_1sec(l)))
ylabel('FM 6 - TAIL (kV/m)'),xlabel('Time (HR)')
if (do_print=='Y')
   print -dwin;
   %prtsc('ff');
end

do_HV='Y';
if do_HV == 'Y'
   figure(5)
   orient tall
   subplot(611),plot(irigb_time(l),topfwd_best(l_1sec(l)))
   title([start_time,'      Combined Gain']),ylabel('FM 1 - TOP-FWD (kV/m)')
   subplot(612),plot(irigb_time(l),topmid_best(l_1sec(l)))
   ylabel('FM 2 - TOP-MID (kV/m)')
   subplot(613),plot(irigb_time(l),right_best(l_1sec(l)))
   ylabel('FM 3 - RIGHT (kV/m)')
   subplot(614),plot(irigb_time(l),left_best(l_1sec(l)))
   ylabel('FM 4 - LEFT (kV/m)')
   subplot(615),plot(irigb_time(l),botfwd_best(l_1sec(l)))
   ylabel('FM 5 - BOT-FWD (kV/m)')
   subplot(616),plot(irigb_time(l),tail_best(l_1sec(l)))
   ylabel('FM 6 - TAIL (kV/m)'),xlabel('Time (HR)')
end

%
% manuever cal only
%
do_manuever='N';
if do_manuever == 'Y'
   figure(4)
   orient tall
   subplot(611),plot(irigb_time(l),topfwd_best(l_1sec(l)))
   title([start_time,'      Combined Gain']),ylabel('FM 1 - TOP-FWD (kV/m)')
   axis([19.4,19.7,-5,4])
   subplot(612),plot(irigb_time(l),topmid_best(l_1sec(l)))
   ylabel('FM 2 - TOP-MID (kV/m)')
   axis([19.4,19.7,-5,4])
   subplot(613),plot(irigb_time(l),right_best(l_1sec(l)))
   ylabel('FM 3 - RIGHT (kV/m)')
   axis([19.4,19.7,-5,4])
   subplot(614),plot(irigb_time(l),left_best(l_1sec(l)))
   ylabel('FM 4 - LEFT (kV/m)')
   axis([19.4,19.7,-5,4])
   subplot(615),plot(irigb_time(l),botfwd_best(l_1sec(l)))
   ylabel('FM 5 - BOT-FWD (kV/m)')
   axis([19.4,19.7,-5,4])
   subplot(616),plot(irigb_time(l),tail_best(l_1sec(l)))
   ylabel('FM 6 - TAIL (kV/m)'),xlabel('Time (HR)')
   axis([19.4,19.7,-5,4])
end

do_colors='N';
if do_colors == 'Y'
   %
   %  Day 215
   %
   figure(4)
   orient tall
   subplot(211),plot(irigb_time(l),topfwd_best(l_1sec(l)),'k')
   title([start_time,'      Combined Gain']),ylabel('All Mills (kV/m)')
   hold on
   plot(irigb_time(l),topmid_best(l_1sec(l)),'r')
   plot(irigb_time(l),right_best(l_1sec(l)),'g')
   plot(irigb_time(l),left_best(l_1sec(l)),'b')
   plot(irigb_time(l),botfwd_best(l_1sec(l)),'y')
   plot(irigb_time(l),tail_best(l_1sec(l)),'m')
   axis([19.4,19.7,-1,0.5])
   
   %subplot(211),plot(nav_time,Indicated_air_spd,'k')
   %title([start_time,]),ylabel('Indicated Air Speed')
   %axis([17.5,17.6,260,360])
   hold off
   subplot(212),plot(nav_time,pitch,'k')
   hold on
   plot(nav_time,roll,'r')
   plot(nav_time,press_alt/100,'g')
   plot(nav_time,radar_alt/100,'b')
   plot(nav_time,Indicated_air_spd/10,'m')
   %axis([17.5,17.6,-50,100])
   hold off
   %
   figure(5)
   orient tall
   % Ex
   subplot(411),plot(irigb_time(l),Ebail(1,l_1sec(l)),'k')
   title([start_time,'      Fields']),ylabel('Ex (kV/m)')
   hold on
   plot(nav_time,pitch/100.0,'r')
   hold off
   axis([17.5,17.6,-0.2,0.2])
   % Ey
   subplot(412),plot(irigb_time(l),Ebail(2,l_1sec(l)),'k')
   ylabel('Ey (kV/m)')
   hold on
   plot(nav_time,roll/1000.0,'r')
   hold off
   axis([17.5,17.6,-0.2,0.2])
   % Ez
   subplot(413),plot(irigb_time(l),Ebail(3,l_1sec(l)),'k')
   ylabel('Ez (kV/m)')
   axis([17.5,17.6,-0.2,0.2])
   % Q
   subplot(414),plot(irigb_time(l),Ebail(4,l_1sec(l)),'k')
   xlabel('Time (HR)'),ylabel('Q (kV/m)')
   hold on
   plot(nav_time,press_alt/100000.0,'r')
   plot(nav_time,radar_alt/100000.0,'b')
   hold off
   axis([17.5,17.6,-0.2,0.2])
   %
   % Engine Power changes
   %
   figure(6)
   orient tall
   subplot(211),plot(irigb_time(l),topfwd_best(l_1sec(l)),'k')
   title([start_time,'      Combined Gain']),ylabel('All Mills (kV/m)')
   hold on
   plot(irigb_time(l),topmid_best(l_1sec(l)),'r')
   plot(irigb_time(l),right_best(l_1sec(l)),'g')
   plot(irigb_time(l),left_best(l_1sec(l)),'b')
   plot(irigb_time(l),botfwd_best(l_1sec(l)),'y')
   plot(irigb_time(l),tail_best(l_1sec(l)),'m')
   axis([17.6,17.7,-0.5,0])
   hold off
   subplot(212),plot(nav_time,true_air_spd,'k')
   title([start_time]),ylabel('Air Speed')
   hold on
   plot(nav_time,gnd_spd,'r')
   hold off
   axis([17.6,17.7,250,400])
end

%
%  Day 220
%
figure(4)
orient tall
subplot(211),plot(irigb_time(l),topfwd_best(l_1sec(l)),'k')
title([start_time,'      Combined Gain']),ylabel('All Mills (kV/m)')
hold on
plot(irigb_time(l),topmid_best(l_1sec(l)),'r')
plot(irigb_time(l),right_best(l_1sec(l)),'g')
plot(irigb_time(l),left_best(l_1sec(l)),'b')
plot(irigb_time(l),botfwd_best(l_1sec(l)),'y')
plot(irigb_time(l),tail_best(l_1sec(l)),'m')
axis([17.45,17.55,-1.75,0.25])

%subplot(211),plot(nav_time,Indicated_air_spd,'k')
%title([start_time,]),ylabel('Indicated Air Speed')
%axis([17.5,17.6,260,360])
hold off
subplot(212),plot(nav_time,pitch,'k')
hold on
plot(nav_time,roll,'r')
plot(nav_time,press_alt/100,'g')
plot(nav_time,radar_alt/100,'b')
plot(nav_time,Indicated_air_spd/10,'m')
axis([17.45,17.55,-50,100])
hold off
%
figure(5)
orient tall
% Ex
subplot(411),plot(irigb_time(l),Ebail(1,l_1sec(l)),'k')
title([start_time,'      Fields']),ylabel('Ex (kV/m)')
hold on
plot(nav_time,pitch/100.0,'r')
hold off
axis([17.45,17.55,-0.2,0.2])
% Ey
subplot(412),plot(irigb_time(l),Ebail(2,l_1sec(l)),'k')
ylabel('Ey (kV/m)')
hold on
plot(nav_time,roll/1000.0,'r')
hold off
axis([17.45,17.55,-0.2,0.2])
% Ez
subplot(413),plot(irigb_time(l),Ebail(3,l_1sec(l)),'k')
ylabel('Ez (kV/m)')
axis([17.45,17.55,-0.2,0.5])
% Q
subplot(414),plot(irigb_time(l),Ebail(4,l_1sec(l)),'k')
xlabel('Time (HR)'),ylabel('Q (kV/m)')
hold on
plot(nav_time,press_alt/100000.0,'r')
plot(nav_time,radar_alt/100000.0,'b')
hold off
axis([17.45,17.55,-0.5,0.2])
%
% Engine Power changes
%
figure(6)
orient tall
subplot(211),plot(irigb_time(l),topfwd_best(l_1sec(l)),'k')
title([start_time,'      Combined Gain']),ylabel('All Mills (kV/m)')
hold on
plot(irigb_time(l),topmid_best(l_1sec(l)),'r')
plot(irigb_time(l),right_best(l_1sec(l)),'g')
plot(irigb_time(l),left_best(l_1sec(l)),'b')
plot(irigb_time(l),botfwd_best(l_1sec(l)),'y')
%plot(irigb_time(l),tail_best(l_1sec(l)),'m')
axis([17.64,17.75,-0.7,-0.1])
hold off
subplot(212),plot(nav_time,true_air_spd,'k')
title([start_time]),ylabel('Air Speed')
hold on
plot(nav_time,gnd_spd,'r')
hold off
axis([17.64,17.75,275,425])
end


end % of do_manuever == 'Y',

figure(6)
orient tall
% Ex
subplot(411),plot(irigb_time(l),Ebail(1,l_1sec(l)))
title([start_time,'      Fields']),ylabel('Ex (kV/m)')
% Ey
subplot(412),plot(irigb_time(l),Ebail(2,l_1sec(l)))
ylabel('Ey (kV/m)')
% Ez
subplot(413),plot(irigb_time(l),Ebail(3,l_1sec(l)))
ylabel('Ez (kV/m)')
% Q
subplot(414),plot(irigb_time(l),Ebail(4,l_1sec(l)))
xlabel('Time (HR)'),ylabel('Q (kV/m)')
if (do_print=='Y')
   print -dwin;
   %prtsc('ff');
end




%[dos_hour(1:10);dos_min(1:10);dos_sec(1:10)]'
[irigb_hour(1:10);irigb_min(1:10);irigb_sec(1:10)]'






l=ones(size(irigb_hour))';
%t1=[1998*l,1*l,eval([filename3,'(1,1)'])*l,eval([filename3,'(1,2)'])*l,eval([filename3,'(1,3)'])*l,eval([filename3,'(1,4)'])*l];

%t1=[1998*l,1*l,irigb_day(ist(1))*l,eval(axis_strng4)*l,eval(axis_strng5)*l,0*l];
t1=[1998*l,1*l,st_day*l,eval(axis_strng4)*l,eval(axis_strng5)*l,0*l];

t2=[1998*l,1*l,irigb_day',irigb_hour',irigb_min',irigb_sec'+irigb_sub_sec'/1.0E6];
delta_time=etime(t2,t1);
clear l t1 t2;

%back_time=back_hour+back_min/60.0+back_sec/3600.0;

delta_time=delta_time/3600;


maxsize=size(fm1_1);

l1=[1:25:maxsize(2)];


l=find(delta_time < 0 | delta_time > 30);
delta_time(l)=[];
l1(l)=[];






if min(delta_time(ist(1))>=0)
   minx=eval(axis_strng5);
end
if min(delta_time(ist(1))<0)
   minx=min(delta_time(ist(1)));
end
maxx=max(delta_time);


xsize=size(l1);
x=[1:xsize(2)]/60;       % in minutes
ymin=-10;
ymax=10;
figure(3);
%subplot(2,1,1),plot(x,fm1_1(l1),'w')
subplot(2,1,1),plot(delta_time,fm1_1(l1),'w')
%axis([minx,maxx,ymin,ymax])
axis([minx,maxx,-10,10])
title(start_time),xlabel(xLab),ylabel('Top_l (V)')
%
subplot(2,1,2),plot(delta_time,fm2_1(l1),'w')
%axis([minx,maxx,ymin,ymax])
axis([minx,maxx,-1,1])
xlabel(xLab),ylabel('Bot_l (V)')
if (do_print=='Y')
   orient tall;
   print -dwin;
   %prtsc('ff');
end
%
figure(4);
subplot(2,1,1),plot(delta_time,fm1_1(l2),'w')
axis([minx,maxx,ymin,ymax])
title(start_time),xlabel(xLab),ylabel('Top_m (V)')
%
subplot(2,1,2),plot(delta_time,fm1_1(l5),'w')
axis([minx,maxx,ymin,ymax])
xlabel(xLab),ylabel('Bot_m (V)')
%
if (do_print=='Y')
   orient tall;
   print -dwin;
   %prtsc('ff');
end
%
figure(5);
subplot(2,1,1),plot(delta_time,fm1_1(l3),'w')
axis([minx,maxx,ymin,ymax])
title(start_time),xlabel(xLab),ylabel('Top_h (V)')
%
subplot(2,1,2),plot(delta_time,fm1_1(l6),'w')
axis([minx,maxx,ymin,ymax])
xlabel(xLab),ylabel('Bot_h (V)')
if (do_print=='Y')
   orient tall;
   print -dwin;
   %prtsc('ff');
end

figure(6);
dif_m=(fm1_1(l2)-fm1_1(l5))*0.5*606.1;
sum_m=(fm1_1(l2)+fm1_1(l5))*0.5*606.1;
subplot(211),plot(delta_time,dif_m,'w')
axis([minx,maxx,min(dif_m),max(dif_m)]),title(start_time),xlabel(xLab),ylabel('Ez (V/m)')
subplot(212),plot(delta_time,sum_m,'w')
axis([minx,maxx,min(sum_m),max(sum_m)]),title('Top = Difference, Bottom = Sum  (Medium Gain)'),xlabel(xLab),ylabel('Q (V/m)')
if (do_print=='Y')
   orient tall;
   print -dwin;
   %prtsc('ff');
end

%keyboard;
