function val = decode_CP(LSB, MSB)
%
%   This function decodes the LSB, MSB pair into 12-bit binary.
%

%
%   M.G. Bateman, 20 Aug 1998
%

% Volts per bit = 20.0 / 4096 = 0.0048828125


LSB = LSB / 4;
MSB = MSB / 4;

val = (MSB * 64) + LSB;

if val >= 2048
   val = val - 4096;
end

val = val * (0.0048828125);


