function decode_time(buf);
%        [ yr, day, hr, min, sec, msec ] = decode_time(buf);
%
%   Decode the input 'buf' into two times ---
%   PC time and IRIG time.
%

%
%  M.G. Bateman, USRA, 17 Aug 1998
%

global CurrentFile;
global MillCnt;
global PCtime;
global IRIGtime;
global HDR_version;

if(buf(1) ~= 'B')
   disp(sprintf('BLOCK HDR: Sync problem!? in file %s', CurrentFile))
end

HDR_version = buf(2);
size = 256*buf(4) + buf(3);
MillCnt = buf(5);

pc_hr = buf(14);
pc_mn = buf(15);
pc_sc = buf(16);
pc_ms = buf(17) + 256*buf(18);
% disp(sprintf('PC Time: %02d%02d:%02d.%03d', pc_hr, pc_mn, pc_sc, pc_ms))


yr  = from_bcd(buf(19));

temp = from_bcd(buf(21));
day = 10*from_bcd(buf(20)) + fix(temp/10);

temp2 = from_bcd(buf(22));
hr = 10*rem(temp, 10) + fix(temp2/10);

temp = from_bcd(buf(23));
min = 10*rem(temp2, 10) + fix(temp/10);

temp2 = from_bcd(buf(24));
sec = 10*rem(temp, 10) + fix(temp2/10);

temp = from_bcd(buf(25));
ms = 100*rem(temp2, 10) + temp;

temp  = from_bcd(buf(26));
temp2 = from_bcd(buf(27));
us = 10*temp + fix(temp2/10);

ns = rem(temp2, 10);

status = buf(28);

% disp(sprintf('IRIG Time: %02d%03d %02d%02d:%02d.%03d %03d %01d-%X', yr, day, hr, min, sec, ms, us, ns, status))


PCtime = [yr day pc_hr pc_mn pc_sc pc_ms];

IRIGtime = [yr day hr min sec ms us ns status];


