
close('all')
figcnt = 1;

if plot_insens == 0
   newhead = sprintf('%s              %s', header, '(SENSITIVE)');
   cals = SensCal;
else
   newhead = sprintf('%s              %s', header, '(INSENSITIVE)');
   cals = InsensCal;
end

if plot_individual_mills == 1
   %%%  Individual Mills 1/2
   figure(figcnt)
   figcnt = figcnt+1;
   subplot(411)
   plot(cals(MillSN(1))*Mill(1, 1:MillIdx));
   lbl = sprintf('QU (kV/m)(%4.2f)', FF(1));
   ylabel(lbl);
   axis([1 MillIdx MNFS MPFS])
   title(newhead)
   
   subplot(412)
   plot(cals(MillSN(2))*Mill(2, 1:MillIdx));
   lbl = sprintf('QL (kV/m)(%4.2f)', FF(2));
   ylabel(lbl);
   axis([1 MillIdx MNFS MPFS])
   
   subplot(413)
   plot(cals(MillSN(3))*Mill(3, 1:MillIdx));
   lbl = sprintf('RF (kV/m)(%4.2f)', FF(3));
   ylabel(lbl);
   axis([1 MillIdx MNFS MPFS])
   
   subplot(414)
   plot(cals(MillSN(4))*Mill(4, 1:MillIdx));
   lbl = sprintf('LF (kV/m)(%4.2f)', FF(4));
   ylabel(lbl);
   axis([1 MillIdx MNFS MPFS])
   xlabel(sprintf('File: %s', CurrentFile))
   orient tall;
   time_ticks(50,4)
   
   if do_prints == 1
      print -dps fg-mill1.ps
   end
      
   %%%  Individual Mills 2/2
   figure(figcnt)
   figcnt = figcnt+1;
   subplot(411)
   plot(cals(MillSN(5))*Mill(5, 1:MillIdx));
   lbl = sprintf('RU (kV/m)(%4.2f)', FF(5));
   ylabel(lbl);
   axis([1 MillIdx MNFS MPFS])
   title(newhead)
   
   subplot(412)
   plot(cals(MillSN(6))*Mill(6, 1:MillIdx));
   lbl = sprintf('RA (kV/m)(%4.2f)', FF(6));
   ylabel(lbl);
   axis([1 MillIdx MNFS MPFS])
   
   subplot(413)
   plot(cals(MillSN(7))*Mill(7, 1:MillIdx));
   lbl = sprintf('LU (kV/m)(%4.2f)', FF(7));
   ylabel(lbl);
   axis([1 MillIdx MNFS MPFS])
   
   subplot(414)
   plot(cals(MillSN(8))*Mill(8, 1:MillIdx));
   lbl = sprintf('LA (kV/m)(%4.2f)', FF(8));
   ylabel(lbl);
   xlabel(sprintf('File: %s', CurrentFile))
   axis([1 MillIdx MNFS MPFS])
   orient tall;
   time_ticks(50,4)

   if do_prints == 1
      print -dps fg-mill2.ps
   end
end %% individual mill plots


%%% CP plot

if plot_CP == 1
   figure(figcnt)
   figcnt = figcnt+1;
   subplot(311)
   plot(CP(1,1:CPIdx));
   ylabel('CP1 (V)');
   axis([1 CPIdx -10 10])
   title(newhead)
   
   subplot(312)
   plot(CP(2,1:CPIdx));
   axis([1 CPIdx -10 10])
   ylabel('CP2 (V)');
   
   subplot(313)
   plot(CP(3,1:CPIdx));
   axis([1 CPIdx -50 -20])
   ylabel('Temp (C)');
   xlabel(sprintf('File: %s', CurrentFile))
   orient tall;
   time_ticks(10,3)

   if do_prints == 1
      print -dps fg-cp.ps
   end
end  %% CP plot

%%% Mill Motor speed  1/2

if plot_speeds == 1
   figure(figcnt)
   figcnt = figcnt+1;
   subplot(411)
   plot(MillSpeed(1,1:MillSpeedIdx));
   axis([1 MillSpeedIdx 35 50])
   ylabel('QU');
   title(newhead)
   
   subplot(412)
   plot(MillSpeed(2,1:MillSpeedIdx));
   axis([1 MillSpeedIdx 35 50])
   ylabel('QL');
   
   subplot(413)
   plot(MillSpeed(3,1:MillSpeedIdx));
   axis([1 MillSpeedIdx 35 50])
   ylabel('RF');
   
   subplot(414)
   plot(MillSpeed(4,1:MillSpeedIdx));
   axis([1 MillSpeedIdx 35 50])
   ylabel('LF');
   xlabel(sprintf('File: %s', CurrentFile))
   orient tall;
   time_ticks(1,4)

   if do_prints == 1
      print -dps fg-spd1.ps
   end


%%% Mill Motor speed  2/2

   figure(figcnt)
   figcnt = figcnt+1;
   subplot(411)
   plot(MillSpeed(5,1:MillSpeedIdx));
   axis([1 MillSpeedIdx 35 50])
   ylabel('RU');
   title(newhead)
   
   subplot(412)
   plot(MillSpeed(6,1:MillSpeedIdx));
   axis([1 MillSpeedIdx 35 50])
   ylabel('RA');
   
   subplot(413)
   plot(MillSpeed(7,1:MillSpeedIdx));
   axis([1 MillSpeedIdx 35 50])
   ylabel('LU');
   
   subplot(414)
   plot(MillSpeed(8,1:MillSpeedIdx));
   axis([1 MillSpeedIdx 35 50])
   ylabel('LA');
   xlabel(sprintf('File: %s', CurrentFile))
   orient tall;
   time_ticks(1,4)

   if do_prints == 1
      print -dps fg-spd2.ps
   end
end  %% speed plots


if plot_fields == 1 | plot_quick == 1
%  QU  QL  RF  LF  RU  RA  LU  LA
%   1   2   3   4   5   6   7   8
%
%% Ez1 = (QU - QL)/2
   Ez1 = 0.5*( cals(MillSN(1))*Mill(1, 1:MillIdx) - cals(MillSN(2))*Mill(2, 1:MillIdx) );

%% Ez2 = (LU - LF)/2
   Ez2 = 0.5*( cals(MillSN(7))*Mill(7, 1:MillIdx) - cals(MillSN(4))*Mill(4, 1:MillIdx) );

%% Ey1 = (LU - RU)/2
   Ey1 = 0.5*( cals(MillSN(7))*Mill(7, 1:MillIdx) - cals(MillSN(5))*Mill(5, 1:MillIdx) );

%% Ey2 = (LU + LA - RU - RA)/4
   Ey2 = 0.25*( cals(MillSN(7))*Mill(7, 1:MillIdx) + cals(MillSN(8))*Mill(8, 1:MillIdx) - ...
                cals(MillSN(5))*Mill(5, 1:MillIdx) - cals(MillSN(6))*Mill(6, 1:MillIdx) );

%% Ex1 = (RF - RA)/2
   Ex1 = 0.5*( cals(MillSN(3))*Mill(3, 1:MillIdx) - cals(MillSN(6))*Mill(6, 1:MillIdx) );

%% Ex2 = (LF - LA)/2
   Ex2 = 0.5*( cals(MillSN(4))*Mill(4, 1:MillIdx) - cals(MillSN(8))*Mill(8, 1:MillIdx) );

%% Eq1 = (RA + LU)/2
   Eq1 = 0.5*( cals(MillSN(6))*Mill(6, 1:MillIdx) + cals(MillSN(7))*Mill(7, 1:MillIdx) );

%% Eq2 = (LU + LA + RU + RA)/4
   Eq2 = 0.25*( cals(MillSN(7))*Mill(7, 1:MillIdx) + cals(MillSN(8))*Mill(8, 1:MillIdx) + ...
                cals(MillSN(5))*Mill(5, 1:MillIdx) + cals(MillSN(6))*Mill(6, 1:MillIdx) );
end

if plot_fields == 1
   %%%  Field vector compnents  1/2
   figure(figcnt)
   figcnt = figcnt+1;
   subplot(411)
   plot(Ez1)
   ylabel('Ez (kV/m)');
   axis([1 MillIdx MNFS/2 MPFS/2])
   title(newhead)
   
   subplot(412)
   plot(Ez2)
   ylabel('Ez (kV/m)');
   axis([1 MillIdx MNFS/2 MPFS/2])
   
   subplot(413)
   plot(Ey1)
   ylabel('Ey (kV/m)');
   axis([1 MillIdx MNFS/2 MPFS/2])

   subplot(414)
   plot(Ey2)
   ylabel('Ey (kV/m)');
   axis([1 MillIdx MNFS/2 MPFS/2])
   xlabel(sprintf('File: %s', CurrentFile))
   orient tall;
   time_ticks(50,4)

   if do_prints == 1
      print -dps fg-fld1.ps
   end


   %%%  Field vector compnents  2/2
   figure(figcnt)
   figcnt = figcnt+1;
   subplot(411)
   plot(Ex1)
   ylabel('Ex (kV/m)');
   axis([1 MillIdx MNFS/2 MPFS/2])
   title(newhead)
   
   subplot(412)
   plot(Ex2)
   ylabel('Ex (kV/m)');
   axis([1 MillIdx MNFS/2 MPFS/2])
   
   subplot(413)
   plot(Eq1)
   ylabel('Eq (kV/m)');
   axis([1 MillIdx MNFS/2 MPFS/2])

   subplot(414)
   plot(Eq2)
   ylabel('Eq (kV/m)');
   axis([1 MillIdx MNFS/2 MPFS/2])
   xlabel(sprintf('File: %s', CurrentFile))
   orient tall;
   time_ticks(50,4)

   if do_prints == 1
      print -dps fg-fld2.ps
   end
end


if plot_quick == 1
   %%%  Quick Look plots for WWW
   figure(figcnt)
   figcnt = figcnt+1;
   subplot(411)
   plot(Ex2)
   ylabel('Ex (kV/m)');
   axis([1 MillIdx MNFS/2 MPFS/2])
   title(newhead)
   
   subplot(412)
   plot(Ey1)
   ylabel('Ey (kV/m)');
   axis([1 MillIdx MNFS/2 MPFS/2])
   
   subplot(413)
   plot(Ez2)
   ylabel('Ez (kV/m)');
   axis([1 MillIdx MNFS/2 MPFS/2])

   subplot(414)
   plot(Eq1)
   ylabel('Eq (kV/m)');
   axis([1 MillIdx MNFS/2 MPFS/2])
   % Strip off subdir name for quick-looks
   L = length(CurrentFile);
   xlabel(sprintf('PRELIMINARY CAL APPLIED                                                     File: %s', CurrentFile(19:L)))
   orient tall;
   time_ticks(50,4)

%   unix('rm -f WWW.eps');
%   print -deps WWW.eps
%  cmd = sprintf('cat WWW.eps | eps2ppm | ppmtogif - >! %s%2d%3d-%02d%02d.gif', ...
%                 CurrentFile(1:19), StartTime(1:4))
%  unix(cmd);
%  unix('sync');
end


ANFS = 0;
APFS = 20000;
if plot_nav == 1
   %%%  Navigation data
   figure(figcnt)
   figcnt = figcnt+1;
   subplot(411)
   plot(Alt(1, 1:Navidx));
   ylabel('Alt');
   axis([1 Navidx ANFS APFS])
   title(header)
   
   subplot(412)
   plot(Roll(1:Navidx));
   ylabel('Roll');
   axis([1 Navidx -25 25])
   
   subplot(413)
   plot(Pitch(1:Navidx));
   ylabel('Pitch');
   axis([1 Navidx -25 25])

   subplot(414)
   plot(Hdg(1:Navidx));
   ylabel('Hdg');
   axis([1 Navidx 0 360])
   xlabel(sprintf('File: %s', CurrentFile))
   orient tall;
   time_ticks(1,4)

   if do_prints == 1
      print -dps fg-nav.ps
   end
end


