function get_CP_data(fid)
%
%    This function reads (and decodes) the CP data.
%

%
%  M.G. Bateman, USRA, 17 Aug 1998
%

global CurrentFile;
global CP;
global CPIdx;
global HDR_version;

if HDR_version == 1
   buf = fread(fid,2);  % read the CP header

   if(buf(1) ~= 'C')
      disp(sprintf('CP HDR: Sync problem!? in file %s', CurrentFile))
   end

   size = buf(2);

elseif HDR_version == 2
   buf = fread(fid,3);  % read the CP header

   if(buf(1) ~= 'C')
      disp(sprintf('CP HDR: Sync problem!? in file %s', CurrentFile))
   end

   size = 256*buf(3) + buf(2);
end

if size > 0
   buf = fread(fid, size);

   i = 1;

   while( (i+6) <= length(buf) )
      if ( (id(buf(i))==2)+(id(buf(i+1))==3)+(id(buf(i+2))==0)+(id(buf(i+3))==1) == 4)
         CP(1, CPIdx) = decode_CP(buf(i+2), buf(i+3));
         CP(2, CPIdx) = decode_CP(buf(i),   buf(i+1));
         CP(3, CPIdx) = decode_temp(buf(i+4));
	 CPIdx = CPIdx + 1;

         if(rem(sum(buf(i:i+4)), 256) ~= buf(i+5))
            disp('CP DATA: Sync problem')
         end

         i = i + 6;
      else
         i = i + 1;
      end
   end
end


