function Nav = get_Nav_data(fid)
%
%    This function reads the Nav data.
%

%
%  M.G. Bateman, USRA, 17 Aug 1998
%

global CurrentFile;
global NavLeftover;
global Navidx;
global Navtime;
global Alt;
global Pitch;
global Roll;
global Hdg;

buf = fread(fid,3);  % read the Nav header

if(buf(1) ~= 'N')
   disp(sprintf('Nav HDR: Sync problem!? in file %s', CurrentFile))
end

cnt = 256*buf(3) + buf(2);

if cnt > 0
   buf = fread(fid, cnt);
   % disp('buf')
   % setstr(buf')
   i = find(buf == 1);   % Start of Hdr == 1

   if (i == []  &  cnt < 333)
      NavLeftover = buf(i:cnt);
      % disp('returning')
      return

   elseif (i > 1 & length(NavLeftover) == 0)  %% likely at the BOF
      work = buf(i:cnt);

   elseif (i > 1)
      work = [ NavLeftover; buf(1:i-1) ];
      NavLeftover = buf(i:cnt);
      % disp('splicing')

   elseif(i == 1  &  cnt == 333)
      work = buf;
      % disp('normal')
      NavLeftover = [];

   elseif(i == 1  &  cnt < 333)
      NavLeftover = buf;
      % disp('short:returning')
      return

   elseif(length(i) > 1 & cnt > 333)
      work = buf(1:333);
      NavLeftover = buf(334:cnt);

   end

   % disp('work')
   % setstr(work')
   % pause

   if length(work) < 208
      disp(sprintf('Bytes read:%d; NavRec begins at:%d; Len(work): %d', cnt, i, length(work)))
%      disp('work')
%      setstr(work')
%      disp('buf')
%      setstr(buf')
      Navtime = work(2:15);
      Hdg(Navidx) = sscanf(setstr(work(37:43)), '%f');
      Pitch(Navidx) = sscanf(setstr(work(44:51)), '%f');
      Roll(Navidx) = sscanf(setstr(work(53:60)), '%f');
   else
      Navtime = work(2:15);
      Alt (1:2, Navidx) = [ sscanf(setstr(work(134:140)), '%f') sscanf(setstr(work(202:208)), '%f')]';
      Hdg(Navidx) = sscanf(setstr(work(37:43)), '%f');
      Pitch(Navidx) = sscanf(setstr(work(44:51)), '%f');
      Roll(Navidx) = sscanf(setstr(work(53:60)), '%f');
   end

   % disp(sprintf('time= %s; GPSalt= %07.1f; BarAlt= %07.1f; pitch= %+08.4f; roll= %+08.4f', ...
   %            work(2:15), Alt(1:2, Navidx), Pitch(Navidx), Roll(Navidx) ))
   % pause
end

Navidx = Navidx + 1;

