function efm_block = init_dc8_struct;
%        efm_block = init_dc8_struct;
%
%	Creates one efm block 
%

%
%	efm structure:
%		.version
%		.ProcessPriorityClass(ignored)
%		.CommandThreadPriority(ignored)
%		.AcquisitionThreadPriority(ignored)
%		.WndProcEvent[52((ignored)
%		.filesequence(ignored)
%		.recordnumber(ignored)
%		.archivestatus(ignored)
%		.pcUTC
%			.tm_sec
%			.tm_min
%			.tm_hour
%			.tm_mday
%			.tm_mon
%			.tm_year
%			.tm_wday
%			.tm_yday
%			.tm_isdst
%		.GPSTimerActive(ignored)
%		.GPSfailed(ignored)
%		.MissingInterrupts(ignored)
%		.deltat(ignored)
%		.GPSIOStatus(ignored)
%		.majtime
%		.mintime
%		.lockmajtime
%		.LLAgpspkt[20(
%		.VELgpspkt[20(
%		.GPSTime
%			.tm_sec
%			.tm_min
%			.tm_hour
%			.tm_mday
%			.tm_mon
%			.tm_year
%			.tm_wday
%			.tm_yday
%			.tm_isdst
%		.StartHighResPerfCounter(ignored)
%		.PerformanceFrequency(ignored)
%		.HighResPerfCounter(ignored)
%		.CPUtime
%		.CMDcputime(ignored)
%		.RCVDcputime(ignored)
%		.DataAcqtime(ignored)
%		.stinger[28((ignored)
%		.PortStatus[168)(ignored)
%		.efmrecord[6)
%			.header[12)
%			.sensitive[50)
%			.insensitive[50)
%			.crc
%		.datetime
%

%
%	Set it up
%
efm_block.version = 0;
efm_block.pcUTC.tm_sec = 0;
efm_block.pcUTC.tm_min = 0;
efm_block.pcUTC.tm_hour = 0;
efm_block.pcUTC.tm_mday = 0;
efm_block.pcUTC.tm_mon = 0;
efm_block.pcUTC.tm_year = 0;
efm_block.pcUTC.tm_wday = 0;
efm_block.pcUTC.tm_yday = 0;
efm_block.pcUTC.tm_isdst = 0;
efm_block.pcUTC.tm_hsecond = 0;
efm_block.back.tm_sec = 0;
efm_block.back.tm_min = 0;
efm_block.back.tm_hour = 0;
efm_block.back.tm_mday = 0;
efm_block.back.tm_mon = 0;
efm_block.back.tm_year = 0;
efm_block.back.tm_wday = 0;
efm_block.back.tm_yday = 0;
efm_block.GPSTimerActive = 0;
efm_block.GPSfailed = 0;
efm_block.GPSIOStatus = 0;
efm_block.majtime = 0;
efm_block.mintime = 0;
efm_block.lockmajtime = 0;
efm_block.LLAgpspkt = '12345678901234567890';
efm_block.VELgpspkt = '12345678901234567890';
efm_block.GPSTime.tm_sec = 0;
efm_block.GPSTime.tm_min = 0;
efm_block.GPSTime.tm_hour = 0;
efm_block.GPSTime.tm_mday = 0;
efm_block.GPSTime.tm_mon = 0;
efm_block.GPSTime.tm_year = 0;
efm_block.GPSTime.tm_wday = 0;
efm_block.GPSTime.tm_yday = 0;
efm_block.GPSTime.tm_isdst = 0;
efm_block.CPUtime = 0;
efm_block.datetime = 0;
for i=1:6
   efm_block.efmrecord(i).sync(1) = 0;
   efm_block.efmrecord(i).sync(2) = 0;
   efm_block.efmrecord(i).header = '1234567890';
   for j=1:25
      efm_block.efmrecord(i).one(j) = 0;
      efm_block.efmrecord(i).two(j) = 0;
      efm_block.efmrecord(i).three(j) = 0;
      efm_block.efmrecord(i).four(j) = 0;
   end
   efm_block.efmrecord(i).crc = 0;
end
efm_block.cal_buf(300) = 0;
return;

