function [gbfm_block, gbfm_data] = init_gbfm_block;
%        [ gbfm_status_block, gbfm_data ] = init_gbfm_block;
%
%	Returns one gbfm block
%
%	gbfm structure:
%		.sync[4]
%		.UTC
%        .year
%        .month
%        .day
%        .hour
%        .min
%        .sec
%        .hsec
%        .msec
%		.nmills
%		.spare[3]
%		.mill[64]
%			.address
%			.mode
%			.stat[7]
%			.rain
%			.CRC
%
%  gbfm_data[50,64]

%
%	Do the init
%
gbfm_block.UTC.year = uint8(0);
gbfm_block.UTC.month = uint8(0);
gbfm_block.UTC.day = uint8(0);
gbfm_block.UTC.hour = uint8(0);
gbfm_block.UTC.min = uint8(0);
gbfm_block.UTC.sec = 0.0;
gbfm_block.UTC.hsec = 0.0;
gbfm_block.UTC.msec = 0.0;
gbfm_block.nmills = uint8(0);
for i=1:4
   gbfm_block.sync(i) = uint8(0);
end
for i=1:3
   gbfm_block.spare(i) = uint8(0);
end
for i=1:64
   gbfm_block.mill(i).address = uint8(0);
   gbfm_block.mill(i).mode = uint8(0);
   for j=1:7
      gbfm_block.mill(i).stat(j) = uint8(0);
   end
   gbfm_block.mill(i).rain = uint8(0);
   gbfm_block.mill(i).crc = uint16(0);
end
gbfm_data(50,64) = 0.0;
%
%	That should be all!
%
return;
