function nav_block = init_icats_struct;
%        nav_block = init_icats_struct;
%
%	Inits one ICATS block 
%

%
%	ICATS structure:
%
%    nav_year;
%    nav_day;
%    nav_hr_min;
%    nav_sec_thousandths;
%    latitude_deg;
%    latitude_min_tenths;
%    longitude_deg;
%    longitude_min_tenths;
%    pitch_tenths;
%    roll_tenths;
%    wind_speed;
%    /*	These within D identifier (28 bytes) */
%    wind_dir;
%    true_air_speed;
%    gnd_speed;
%    true_head_tenths;
%    drift_angle_tenths;
%    press_alt;
%    radar_alt;
%    dew_frost_1011_tenths;
%    dew_frost_300_tenths;
%    /*	These within E identifier (24 bytes) */
%    stat_air_temp_tenths;
%    tot_air_temp_tenths;
%    IR_surf_temp_tenths;
%    stat_Tair_calc_tenths;
%    ind_air_speed;
%    vert_speed;
%    dist_togo_tenths;
%    time_togo_tenths;
%    align_stat;
%    /*	These within F identifier (26 bytes) */
%    cabin_alt;
%    press_tenths;
%    mach_thousandths;
%    cross_track_dist_tenths;
%    desired_track_tenths;
%    track_ang_err_tenths;
%    track_ang_tenths;
%    spec_humid_thousandths;
%    /*	These within G identifier (20 bytes) */
%    par_press_h20_tenths;
%    RH_ice_tenths;
%    RH_wat_tenths;
%    sat_wat_vap_press_100ths;
%    sat_wat_vap_press_ice_100ths;
%    sun_elev_gnd_refracted_tenths;
%    sun_elev_air_refracted_tenths;
%    sun_azimuth_gnd_tenths;
%    sun_azimuth_air_tenths;
%    /*	These within H identifier (16 bytes) */
%    egi_true_hdg_tenths;
%    egi_mag_hdg_tenths;
%    egi_x_velocity;
%    egi_y_velocity;
%    egi_z_velocity;
%    egi_x_accel;
%    egi_y_accel;
%    egi_z_accel;
%    /*	These within I identifier (18 bytes) */
%    adc_tat_tenths;
%    rose_tat_tenths;
%    potential_temp_tenths;
%    gps_alt_msl;
%    camex_dfpoint_tenths;
%    sun_elev_earth_tenths;
%    sun_elev_aircraft_tenths;
%    sun_azi_earth_tenths;
%    pad[14];
%
%
%  C ID
%
nav_block.year = 0;
nav_block.day = 0;
nav_block.hour = 0;
nav_block.min = 0;
nav_block.sec = 0;
nav_block.latitude = 0;
nav_block.longitude = 0;
nav_block.pitch = 0;
nav_block.roll = 0;
nav_block.wind_speed = 0;
%
%  D ID
%
nav_block.wind_dir = 0;
nav_block.true_air_speed = 0;
nav_block.gnd_speed = 0;
nav_block.true_head = 0;
nav_block.drift_angle = 0;
nav_block.press_alt = 0;
nav_block.radar_alt = 0;
nav_block.dew_frost_1011 = 0;
nav_block.dew_frost_300 = 0;
%
%  E ID
%
nav_block.stat_air_temp = 0;
nav_block.tot_air_temp = 0;
nav_block.IR_surf_temp = 0;
nav_block.stat_Tair = 0;
nav_block.ind_air_speed = 0;
nav_block.vert_speed = 0;
nav_block.dist_togo = 0;
nav_block.time_togo = 0;
nav_block.align_stat = 0;
%
%  F ID
%
nav_block.cabin_alt = 0;
nav_block.press = 0;
nav_block.mach = 0;
nav_block.cross_track_dist = 0;
nav_block.desired_track = 0;
nav_block.track_ang_err = 0;
nav_block.track_ang = 0;
nav_block.spec_humid = 0;
%
%  G ID
%
nav_block.par_press_h20 = 0;
nav_block.RH_ice = 0;
nav_block.RH_wat = 0;
nav_block.sat_wat_vap_press = 0;
nav_block.sat_wat_vap_press_ice = 0;
nav_block.sun_elev_gnd_refracted = 0;
nav_block.sun_elev_air_refracted = 0;
nav_block.sun_azimuth_gnd_refracted = 0;
nav_block.sun_azimuth_air_refracted = 0;
%
%  H ID
%
nav_block.egi_true_hdg = 0;
nav_block.egi_mag_hdg = 0;
nav_block.egi_x_velocity = 0;
nav_block.egi_y_velocity = 0;
nav_block.egi_z_velocity = 0;
nav_block.egi_x_accel = 0;
nav_block.egi_y_accel = 0;
nav_block.egi_z_accel = 0;
%
%  I ID
%
nav_block.adc_tat = 0;
nav_block.rose_tat = 0;
nav_block.potential_temp = 0;
nav_block.gps_alt_msl = 0;
nav_block.camex_dfpoint = 0;
nav_block.sun_elev_earth = 0;
nav_block.sun_elev_aircraft = 0;
nav_block.sun_azi_earth = 0;
 
%
%	That is all!
%
