function [fixed_time_array] = jitter_fix(time_array, base_time, delta_time, question_time, fix_time);
%  function [fixed_time_array] = jitter_fix(time_array, base_time, delta_time, question_time, fix_time);
%
%  This routine will attempt to 'fix' any time gaps that
%  are due to digit glytches, so be careful when you use it
%

%
%  Convert time to seconds from base_time of data
%
seconds = (time_array - base_time)*86400;
delta_seconds = diff(seconds) - delta_time;
total_jumps = sum(delta_seconds);
jump_total = 0;
total_correction = 0;
for index=1:length(delta_seconds)
   if abs(delta_seconds(index)) > fix_time
      jump_string = sprintf('Found jump @ index %d, of %f, tot cor:%f, ',index, delta_seconds(index), total_correction);
      display(jump_string);
      if abs(delta_seconds(index)) > question_time
         ans = input('Do you want to correct it?','s');
      else
         ans = 'yyy';
      end
      if (ans(1) == 'Y') || (ans(1) == 'y')
         total_correction = total_correction + delta_seconds(index);
         jump_string = sprintf('Will correct, new tot cor:%f\n', total_correction);
         display(jump_string);
      else
         jump_string = sprintf('Will not correct, tot cor:%f\n', total_correction);
         display(jump_string);
      end
      if length(ans) > 1
         if (ans(2) == 'X') || (ans(2) == 'x')
            total_correction = 0;
            jump_string = sprintf('Will remove old correction, tot cor:%f\n', total_correction);
            display(jump_string);
         end
      end
   end
   seconds(index+1) = seconds(index+1) - total_correction;
end
%
%  Now put it back
%
fixed_time_array = seconds/86400 + base_time;
