%
%

MNFS = -.2;
MPFS = .2;
LastPoint = fix((7/30) * MillIdx);

%%%%%%%%%%
figure(1)
subplot(411)
plot( 0.5*(Mill(4, 1:MillIdx) - Mill(8, 1:MillIdx)) )
ylabel('Exq (LF-LA)');
axis([1 LastPoint MNFS/2 MPFS/2])
title(header)

subplot(412)
plot( 0.5*(Mill(8, 1:MillIdx) - Mill(6, 1:MillIdx)) )
ylabel('Eyq (LA-RA)');
axis([1 LastPoint MNFS/2 MPFS/2])

subplot(413)
plot( 0.5*(Mill(1, 1:MillIdx) - Mill(2, 1:MillIdx)) )
ylabel('Ezq (QU-QL)');
axis([1 LastPoint MNFS/2 MPFS/2])

subplot(414)
plot( 0.5*(Mill(1, 1:MillIdx) + Mill(2, 1:MillIdx)) )
ylabel('Q (QU+QL)');
axis([1 LastPoint 2*MNFS 2*MPFS])
xlabel(sprintf('File: %s', CurrentFile))
orient tall;
time_ticks(50,4)
print -deps fig1.eps


%%%%%%%%  Charge removed

figure(2)

Ex = -.0633 * Mill(1, 1:MillIdx) -0.0677 * Mill(2, 1:MillIdx) -0.0734 * Mill(3, 1:MillIdx) ...
   + 0.9228 * Mill(4, 1:MillIdx) -0.0551 * Mill(5, 1:MillIdx) -0.0544 * Mill(6, 1:MillIdx) ...
   - 0.0475 * Mill(7, 1:MillIdx) -1.0468 * Mill(8, 1:MillIdx);

Ey = 0.0158 * Mill(1, 1:MillIdx) +0.0169 * Mill(2, 1:MillIdx) +0.0184 * Mill(3, 1:MillIdx) ...
   + 0.0193 * Mill(4, 1:MillIdx) +0.0138 * Mill(5, 1:MillIdx) -0.9864 * Mill(6, 1:MillIdx) ...
   + 0.0119 * Mill(7, 1:MillIdx) +1.0117 * Mill(8, 1:MillIdx);

Ez = 1.0092 * Mill(1, 1:MillIdx) -0.9901 * Mill(2, 1:MillIdx) +0.0107 * Mill(3, 1:MillIdx) ...
   + 0.0113 * Mill(4, 1:MillIdx) +0.0080 * Mill(5, 1:MillIdx) +0.0079 * Mill(6, 1:MillIdx) ...
   + 0.0069 * Mill(7, 1:MillIdx) +0.0068 * Mill(8, 1:MillIdx);


subplot(411)
plot( Ex(1:MillIdx) )
ylabel('Ex');
axis([1 LastPoint MNFS/2 MPFS/2])
title(header)

subplot(412)
plot( Ey(1:MillIdx) )
ylabel('Ey');
axis([1 LastPoint MNFS/2 MPFS/2])

subplot(413)
plot( Ez(1:MillIdx) )
ylabel('Ez');
axis([1 LastPoint MNFS/2 MPFS/2])

subplot(414)
plot( 0.5*(Mill(1, 1:MillIdx) + Mill(2, 1:MillIdx)) )
ylabel('Q (QU+QL)');
axis([1 LastPoint 2*MNFS 2*MPFS])
xlabel(sprintf('File: %s', CurrentFile))
orient tall;
time_ticks(50,4)
print -deps fig2.eps

return

%%%%%%%%%  Figure CP (3)

figure(3)
subplot(311)
plot(CP(1,1:CPIdx));
ylabel('CP1 (V)');
axis([1 CPIdx -10 10])
title(header)

subplot(312)
plot(CP(2,1:CPIdx));
axis([1 CPIdx -10 10])
ylabel('CP2 (V)');

subplot(313)
plot(CP(3,1:CPIdx));
axis([1 CPIdx -50 -20])
ylabel('Temp (C)');
xlabel(sprintf('File: %s', CurrentFile))
orient tall;
time_ticks(10,3)
print -dps fig3.ps

%%%%%%%%% Figure Mill Speed A  (4)

figure(4)
subplot(411)
plot(MillSpeed(1,1:MillSpeedIdx));
axis([1 MillSpeedIdx 35 50])
ylabel('QU');
title(header)

subplot(412)
plot(MillSpeed(2,1:MillSpeedIdx));
axis([1 MillSpeedIdx 35 50])
ylabel('QL');

subplot(413)
plot(MillSpeed(3,1:MillSpeedIdx));
axis([1 MillSpeedIdx 35 50])
ylabel('RF');

subplot(414)
plot(MillSpeed(4,1:MillSpeedIdx));
axis([1 MillSpeedIdx 35 50])
ylabel('LF');
xlabel(sprintf('File: %s', CurrentFile))
orient tall;
time_ticks(1,4)
print -dps fig4.ps

%%%%%%%% Figure Mill Speed B  (5)

figure(5)
subplot(411)
plot(MillSpeed(5,1:MillSpeedIdx));
axis([1 MillSpeedIdx 35 50])
ylabel('RU');
title(header)

subplot(412)
plot(MillSpeed(6,1:MillSpeedIdx));
axis([1 MillSpeedIdx 35 50])
ylabel('RA');

subplot(413)
plot(MillSpeed(7,1:MillSpeedIdx));
axis([1 MillSpeedIdx 35 50])
ylabel('LU');

subplot(414)
plot(MillSpeed(8,1:MillSpeedIdx));
axis([1 MillSpeedIdx 35 50])
ylabel('LA');
xlabel(sprintf('File: %s', CurrentFile))
orient tall;
time_ticks(1,4)
print -dps fig5.ps


%%%%%%%% Figure QU, QL, QU - QL   (6)

figure(6)
subplot(311)
plot(Mill(1, 1:MillIdx));
ylabel('Upper FM (raw)');
axis([1 MillIdx MNFS MPFS])
%title(header)

subplot(312)
plot(Mill(2, 1:MillIdx));
ylabel('Lower FM (raw)');
axis([1 MillIdx MNFS MPFS])

subplot(313)
plot( 0.5*(Mill(1, 1:MillIdx) - Mill(2, 1:MillIdx)))
ylabel('Ez (raw)');
axis([1 MillIdx MNFS/2 MPFS/2])
%xlabel(sprintf('File: %s', CurrentFile))
xlabel('Time (UTC)')
orient tall;
time_ticks(50,3)
print -dps fig6.ps
print -deps fig6.eps


