function rm_cal
%
%  rm_cal
%
%   This function removes cal pulses.
%

%
%  M.G. Bateman, 29 April 1999.
%

global Mill;
global MillIdx;
global FF;

   for i = 1:8
      %% put the formfactor "back in" -- convert back to +/- 2.5V range.
      D = diff(FF(i)*Mill(i, :));

      s = find(abs(D) > 0.4);

% eliminate adjacent peaks
      t = diff(s);
      l = find(t == 1);

%      while l ~= []
      while length(l) ~= 0
         delete = max(l) +1;
         s(delete) = [];
         t = diff(s);
         l = find(t == 1);
      end

      for j = 1:length(s)
         p = s(j);
         delta = mean(Mill(i, p+5:p+10)) - mean(Mill(i, p-10:p-5));

         % Remove the cal pulse
	 if j < length(s)
	    Mill(i, p:s(j+1)) = Mill(i, p:s(j+1)) - delta;
	 end

         % Now remove the switching spike.  Assume that p-4 and p+4 are OK,
	 % and walk it in from there.
	 Mill(i, p)   = mean([Mill(i, p-4) Mill(i, p+4)]);
	 Mill(i, p-2) = mean([Mill(i, p)   Mill(i, p-4)]);
	 Mill(i, p+2) = mean([Mill(i, p)   Mill(i, p+4)]);
	 Mill(i, p-1) = mean([Mill(i, p)   Mill(i, p-2)]);
	 Mill(i, p+1) = mean([Mill(i, p)   Mill(i, p+2)]);
	 Mill(i, p-3) = mean([Mill(i, p-4) Mill(i, p-2)]);
	 Mill(i, p+3) = mean([Mill(i, p+2) Mill(i, p+4)]);
      end
end

