function Nav = sget_Nav_data(fid)
%
%    This function reads the Nav data.
%

%
%  M.G. Bateman, USRA, 17 Aug 1998
%  Mod by Mach 4/22/03
%

global Current_File;
global NavLeftover;
global Navidx;
global Navtime;
global GPSAlt;
global BarAlt;
global Pitch;
global Roll;
global Hdg;
global INSLat;
global INSLon;
global GPSLat;
global GPSLon;
global GPSStat;
global IRIGtime;

buf = fread(fid,3);  % read the Nav header

if(buf(1) ~= 'N')
   disp(sprintf('Nav HDR: Sync problem!? in file %s', Current_File))
end

cnt = 256*buf(3) + buf(2);

if cnt > 0
   buf = fread(fid, cnt);
   % disp('buf')
   % setstr(buf')
   i = find(buf == 1);   % Start of Hdr == 1
   if (length(i) == 0  &  cnt < 333)
      NavLeftover = buf(i:cnt);
%      disp('returning')
      return

   elseif (i > 1 & length(NavLeftover) == 0)  %% likely at the BOF
      work = buf(i:cnt);

   elseif (i > 1)
      work = [ NavLeftover; buf(1:i-1) ];
      NavLeftover = buf(i:cnt);
%      disp('splicing')

   elseif(i == 1  &  cnt == 333)
      work = buf;
%      disp('normal')
      NavLeftover = [];

   elseif(i == 1  &  cnt < 333)
      NavLeftover = buf;
%       disp('short:returning:nav')
      return

   elseif(length(i) > 1 & cnt > 333)
      work = buf(1:333);
      NavLeftover = buf(334:cnt);

   end

   % disp('work')
   % setstr(work')
   % pause

   navtime = work(4:15);
   navtime2 = sscanf(char(navtime),'%d:%d:%d:%d');
   base_time_string = julian(IRIGtime(1)*1000 + navtime2(1));
   Navtime(Navidx) = datenum(base_time_string) + (navtime2(2) + (navtime2(3) + navtime2(4)*1.666667e-2)*1.666667e-2)*4.16666667e-2;
   GPSStat(Navidx) = work(2);
   INSLat(Navidx) = sscanf(setstr(work(18:25)), '%f');
   if char(work(17)) == 'S'
      INSLat(Navidx) = -INSLat(Navidx);
   end
   INSLon(Navidx) = sscanf(setstr(work(28:36)), '%f');
   if char(work(27)) == 'W'
      INSLon(Navidx) = -INSLon(Navidx);
   end
   if length(work) > 43
      Hdg(Navidx) = sscanf(setstr(work(38:43)), '%f');
      if length(work) > 51
         Pitch(Navidx) = sscanf(setstr(work(45:51)), '%f');
         if length(work) > 60
            Roll(Navidx) = sscanf(setstr(work(54:60)), '%f');
         end
      end
   end
   if length(work) < 208
%      disp(sprintf('Bytes read:%d; NavRec begins at:%d; Len(work): %d', cnt, i, length(work)))
      if length(work) > 140 
         GPSAlt(Navidx) = sscanf(setstr(work(134:140)), '%f');
      end
      if length(work) > 161
         GPSLat(Navidx) = sscanf(setstr(work(143:150)), '%f');
         if char(work(142)) == 'S'
            GPSLat(Navidx) = -GPSLat(Navidx);
         end
         GPSLon(Navidx) = sscanf(setstr(work(153:161)), '%f');
         if char(work(152)) == 'W'
            GPSLon(Navidx) = -GPSLon(Navidx);
         end
      end
   else
      GPSAlt(Navidx) = sscanf(setstr(work(134:140)), '%f');
      GPSLat(Navidx) = sscanf(setstr(work(143:150)), '%f');
      if char(work(142)) == 'S'
         GPSLat(Navidx) = -GPSLat(Navidx);
      end
      GPSLon(Navidx) = sscanf(setstr(work(153:161)), '%f');
      if char(work(152)) == 'W'
         GPSLon(Navidx) = -GPSLon(Navidx);
      end
      BarAlt(Navidx) = sscanf(setstr(work(202:208)), '%f');
   end

%   disp(sprintf('time= %s; GPSalt= %07.1f; BarAlt= %07.1f; pitch= %+08.4f; roll= %+08.4f %d', work(2:15), Alt(1:2, Navidx), Pitch(Navidx), Roll(Navidx), Navidx ));
   % pause
end

Navidx = Navidx + 1;
