function time_ticks(samples, numplots)
%  function time_ticks(samples_per_second, number of plots)
%
%  This functions looks at the length of time and decides 
%  how dense to place the ticks.  It bases its calculations
%  on the specified "samples" per second.
%

%
%  M.G. Bateman, 28 May 1997
%

global StartTime;
global EndTime;
global PCtime;

sod1 = (StartTime(3) * 3600) + (StartTime(4) * 60) + StartTime(5);
sod2 = (EndTime(3) * 3600) + (EndTime(4) * 60) + EndTime(5);

disp(' ')
StartTime
EndTime

if StartTime(2) == EndTime(2)
   seconds = sod2 - sod1 + 1;
else
   seconds = 86400 - sod1 + sod2 + 1;
end

disp(sprintf('\nTotal seconds = %d\n', seconds))
% disp(sprintf('Ticks every  1 minute : %4d', fix(seconds/60)))
% disp(sprintf('Ticks every  5 minutes: %4d', fix(seconds/300)))
% disp(sprintf('Ticks every 10 minutes: %4d', fix(seconds/600)))
% disp(sprintf('Ticks every 15 minutes: %4d', fix(seconds/900)))
% disp(sprintf('Ticks every 30 minutes: %4d', fix(seconds/1800)))
% disp(sprintf('Ticks every  1 hour   : %4d', fix(seconds/3600)))
% disp(sprintf('Ticks every  1.5 hour : %4d', fix(seconds/5400)))
% disp(sprintf('Ticks every  2 hours  : %4d', fix(seconds/7200)))

num = [ fix(seconds/60) fix(seconds/120) fix(seconds/300) fix(seconds/600) fix(seconds/900) ...
        fix(seconds/1800) fix(seconds/3600) fix(seconds/5400) fix(seconds/7200) ];

divs = [1 2 5 10 15 30 60 90 120];

i = min(find(num <= 10));

divmin = divs(i);

disp(sprintf('\nChoose %d ticks; every %d minutes', num(i), divmin))

% Hardwired

% disp(sprintf('\nChoose 30 mins (Hardwired)'))
% divmin = 30;

% disp(sprintf('\nChoose 05 mins (Hardwired)'))
% divmin = 05;


% Look for next minute

next_time = StartTime;
if StartTime(5) == 0
   i = 0;
else
   i = 60 - StartTime(5);
   next_time = add_time(StartTime, i);
end


%% now look for divmin
while rem(next_time(4), divmin) ~= 0
   i = i + 60;
   next_time = add_time(next_time, 60);
end


disp(sprintf('next time = %02d%02d:%02d (start + %d)', next_time(3:5), i))


pos = [];
lbl = [];

while i < seconds
      disp(sprintf('Tick time = %02d%02d:%02d @ %d', next_time(3:5), i*samples))

      pos = [pos i*samples];
      lbl = [lbl; sprintf('%02d%02d', next_time(3:4))];

      i = i + 60*divmin;
      next_time = add_time(next_time, 60*divmin);
   end
end

for i=1:numplots
   if numplots > 1
      subplot(numplots, 1, i)
   end
   set(gca,'xtick', pos)
   set(gca,'xticklabel', lbl)
end

% set(gca,'xtick',[635, 2435, 4235, 6035, 7835, 9635, 11435])
% set(gca,'xticklabels',['1430';'1500';'1530';'1600';'1630';'1700';'1730'])

